? bad_comments
Index: channel.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channel.c,v
retrieving revision 1.165
diff -u -r1.165 channel.c
--- channel.c	13 Jan 2005 03:31:58 -0000	1.165
+++ channel.c	15 Jan 2005 05:14:02 -0000
@@ -1221,7 +1221,7 @@
 			ast_frfree(f);
 		}
 	}
-	return 0; // Time is up
+	return 0;  /* Time is up */
 }
 
 struct ast_frame *ast_read(struct ast_channel *chan)
Index: say.c
===================================================================
RCS file: /usr/cvsroot/asterisk/say.c,v
retrieving revision 1.47
diff -u -r1.47 say.c
--- say.c	22 Dec 2004 00:08:53 -0000	1.47
+++ say.c	15 Jan 2005 05:14:18 -0000
@@ -4967,7 +4967,9 @@
 	int res;
 	char fn[256] = "";
 
-	//ast_log(LOG_DEBUG, "\n\n Saying number female %s %d \n\n",lang, num);
+	/*--------------------------------------------------
+	* ast_log(LOG_DEBUG, "\n\n Saying number female %s %d \n\n",lang, num);
+	*--------------------------------------------------*/
 	if (num < 5) {
 		snprintf(fn, sizeof(fn), "digits/female-%d", num);
 		res = wait_file(chan, ints, fn, lang);
Index: channels/alaw.h
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/alaw.h,v
retrieving revision 1.2
diff -u -r1.2 alaw.h
--- channels/alaw.h	27 Apr 2003 21:34:27 -0000	1.2
+++ channels/alaw.h	15 Jan 2005 05:14:43 -0000
@@ -21,7 +21,7 @@
 #define INT2ALAW(x) int2alaw[(x>>4)+4096]         
 
 
-// table to convert unsigned a-law bytes to signed linear integers
+/* table to convert unsigned a-law bytes to signed linear integers */
 
 static const int alaw2int[256] = {
   -5504,5504,-344,344,-22016,22016,-1376,1376,-2752,2752,-88,88,-11008,11008,
@@ -46,9 +46,9 @@
 };
 
 
-// table to convert linear shorts to a-law bytes
-// shift the integer to be 12+1 bit first, then add 4096 to get 
-// the right index 
+/* table to convert linear shorts to a-law bytes
+shift the integer to be 12+1 bit first, then add 4096 to get 
+the right index  */
 
 static const unsigned char int2alaw[8192] = {
   84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,84,
Index: channels/chan_phone.c
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/chan_phone.c,v
retrieving revision 1.40
diff -u -r1.40 chan_phone.c
--- channels/chan_phone.c	1 Jan 2005 23:58:57 -0000	1.40
+++ channels/chan_phone.c	15 Jan 2005 05:14:59 -0000
@@ -157,7 +157,7 @@
 	case '#':
 		outdigit = 12;
 		break;
-	case 'f':	//flash
+	case 'f':	/* flash */
 	case 'F':
 		ioctl(p->fd, IXJCTL_PSTN_SET_STATE, PSTN_ON_HOOK);
 		usleep(320000);
@@ -337,7 +337,9 @@
 		ast_log(LOG_WARNING, "Failed to start recording\n");
 		return -1;
 	}
-	//set the DTMF times (the default is too short)
+	/*--------------------------------------------------
+	* set the DTMF times (the default is too short)
+	*--------------------------------------------------*/
 	ioctl(p->fd, PHONE_SET_TONE_ON_TIME, 300);
 	ioctl(p->fd, PHONE_SET_TONE_OFF_TIME, 200);
 	return 0;
Index: channels/ixjuser.h
===================================================================
RCS file: /usr/cvsroot/asterisk/channels/ixjuser.h,v
retrieving revision 1.16
diff -u -r1.16 ixjuser.h
--- channels/ixjuser.h	12 Feb 2003 13:59:14 -0000	1.16
+++ channels/ixjuser.h	15 Jan 2005 05:15:18 -0000
@@ -129,16 +129,16 @@
 ******************************************************************************/
 static char ixjuser_h_rcsid[] = "$Id: ixjuser.h,v 1.16 2003/02/12 13:59:14 matteo Exp $";
 
-#define IXJCTL_DSP_RESET 		_IO  ('q', 0x80)
-#define IXJCTL_RING                     _IO  ('q', 0x82)
-#define IXJCTL_HOOKSTATE                _IO  ('q', 0x83)
+#define IXJCTL_DSP_RESET		_IO  ('q', 0x80)
+#define IXJCTL_RING				_IO  ('q', 0x82)
+#define IXJCTL_HOOKSTATE		_IO  ('q', 0x83)
 #define IXJCTL_MAXRINGS			_IOW ('q', 0x84, char)
-#define IXJCTL_RING_CADENCE		_IOW ('q', 0x85, short)
+#define IXJCTL_RING_CADENCE	_IOW ('q', 0x85, short)
 #define IXJCTL_RING_START		_IO  ('q', 0x86)
 #define IXJCTL_RING_STOP		_IO  ('q', 0x87)
 #define IXJCTL_CARDTYPE			_IOR ('q', 0x88, int)
-#define IXJCTL_DSP_TYPE                 _IOR ('q', 0x8C, int)
-#define IXJCTL_DSP_VERSION              _IOR ('q', 0x8D, int)
+#define IXJCTL_DSP_TYPE			_IOR ('q', 0x8C, int)
+#define IXJCTL_DSP_VERSION		_IOR ('q', 0x8D, int)
 #define IXJCTL_DSP_IDLE			_IO  ('q', 0x8E)
 #define IXJCTL_TESTRAM			_IO  ('q', 0x8F)
 
@@ -170,11 +170,11 @@
 * the most recently recorded frame as a 16 bit value.
 ******************************************************************************/
 
-#define IXJCTL_REC_CODEC                _IOW ('q', 0x90, int)
-#define IXJCTL_REC_START                _IO  ('q', 0x92)
-#define IXJCTL_REC_STOP                 _IO  ('q', 0x93)
+#define IXJCTL_REC_CODEC		_IOW ('q', 0x90, int)
+#define IXJCTL_REC_START		_IO  ('q', 0x92)
+#define IXJCTL_REC_STOP			_IO  ('q', 0x93)
 #define IXJCTL_REC_DEPTH		_IOW ('q', 0x94, int)
-#define IXJCTL_FRAME			_IOW ('q', 0x95, int)
+#define IXJCTL_FRAME				_IOW ('q', 0x95, int)
 #define IXJCTL_REC_VOLUME		_IOW ('q', 0x96, int)
 #define IXJCTL_REC_LEVEL		_IO  ('q', 0x97)
 
@@ -197,8 +197,8 @@
   char enable;
 }IXJ_FILTER;
 
-#define IXJCTL_SET_FILTER		_IOW ('q', 0x98, IXJ_FILTER *)
-#define IXJCTL_GET_FILTER_HIST		_IOW ('q', 0x9B, int)
+#define IXJCTL_SET_FILTER			_IOW ('q', 0x98, IXJ_FILTER *)
+#define IXJCTL_GET_FILTER_HIST	_IOW ('q', 0x9B, int)
 /******************************************************************************
 *
 * This IOCTL allows you to reassign values in the tone index table.  The
@@ -412,16 +412,16 @@
   IXJ_CADENCE_ELEMENT *ce;
 }IXJ_CADENCE;
 
-#define IXJCTL_TONE_CADENCE			_IOW ('q', 0x9A, IXJ_CADENCE *)
+#define IXJCTL_TONE_CADENCE	_IOW ('q', 0x9A, IXJ_CADENCE *)
 /******************************************************************************
 *
 * This group of IOCTLs deal with the playback settings of the DSP
 *
 ******************************************************************************/
 
-#define IXJCTL_PLAY_CODEC               _IOW ('q', 0xA0, int)
-#define IXJCTL_PLAY_START               _IO  ('q', 0xA2)
-#define IXJCTL_PLAY_STOP                _IO  ('q', 0xA3)
+#define IXJCTL_PLAY_CODEC		_IOW ('q', 0xA0, int)
+#define IXJCTL_PLAY_START		_IO  ('q', 0xA2)
+#define IXJCTL_PLAY_STOP		_IO  ('q', 0xA3)
 #define IXJCTL_PLAY_DEPTH		_IOW ('q', 0xA4, int)
 #define IXJCTL_PLAY_VOLUME		_IOW ('q', 0xA5, int)
 #define IXJCTL_PLAY_LEVEL		_IO  ('q', 0xA6)
@@ -451,24 +451,26 @@
 * the default values of tone on and off times is 840 or 210ms
 ******************************************************************************/
 
-#define IXJCTL_DTMF_READY		_IOR ('q', 0xC0, int)
-#define IXJCTL_GET_DTMF                 _IOR ('q', 0xC1, int)
-#define IXJCTL_GET_DTMF_ASCII           _IOR ('q', 0xC2, int)
-#define IXJCTL_EXCEPTION		_IOR ('q', 0xC4, int)
-#define IXJCTL_PLAY_TONE		_IOW ('q', 0xC6, char)
-#define IXJCTL_SET_TONE_ON_TIME		_IOW ('q', 0xC7, int)
+#define IXJCTL_DTMF_READY			_IOR ('q', 0xC0, int)
+#define IXJCTL_GET_DTMF				_IOR ('q', 0xC1, int)
+#define IXJCTL_GET_DTMF_ASCII		_IOR ('q', 0xC2, int)
+#define IXJCTL_EXCEPTION			_IOR ('q', 0xC4, int)
+#define IXJCTL_PLAY_TONE			_IOW ('q', 0xC6, char)
+#define IXJCTL_SET_TONE_ON_TIME	_IOW ('q', 0xC7, int)
 #define IXJCTL_SET_TONE_OFF_TIME	_IOW ('q', 0xC8, int)
-#define IXJCTL_GET_TONE_ON_TIME		_IO  ('q', 0xC9)
+#define IXJCTL_GET_TONE_ON_TIME	_IO  ('q', 0xC9)
 #define IXJCTL_GET_TONE_OFF_TIME	_IO  ('q', 0xCA)
 #define IXJCTL_GET_TONE_STATE		_IO  ('q', 0xCB)
-#define IXJCTL_BUSY			_IO  ('q', 0xCC)
-#define IXJCTL_RINGBACK			_IO  ('q', 0xCD)
-#define IXJCTL_DIALTONE			_IO  ('q', 0xCE)
-
-// This IOCTL replaced both IXJCTL_BUSY_STOP and IXJCTL_RINGBACK_STOP and
-// should be used from now on to stop all Call Progress Tones.  It will
-// actually abort any tone, regardless of time left in the tone_on_time
-// and tone_off_time counters.
+#define IXJCTL_BUSY					_IO  ('q', 0xCC)
+#define IXJCTL_RINGBACK				_IO  ('q', 0xCD)
+#define IXJCTL_DIALTONE				_IO  ('q', 0xCE)
+
+/*--------------------------------------------------
+* This IOCTL replaced both IXJCTL_BUSY_STOP and IXJCTL_RINGBACK_STOP and
+* should be used from now on to stop all Call Progress Tones.  It will
+* actually abort any tone, regardless of time left in the tone_on_time
+* and tone_off_time counters.
+*-------------------------------------------------- */
 #define IXJCTL_CPT_STOP			_IO  ('q', 0xCF)
 
 /******************************************************************************
@@ -478,7 +480,7 @@
 * LED's on the LineJack
 ******************************************************************************/
 
-#define IXJCTL_SET_LED			_IOW ('q', 0xD0, int)
+#define IXJCTL_SET_LED		_IOW ('q', 0xD0, int)
 #define IXJCTL_MIXER			_IOW ('q', 0xD1, int)
 
 /******************************************************************************
@@ -488,8 +490,8 @@
 * as the parameter to the mixer command to change the mixer settings.
 * 
 ******************************************************************************/
-#define MIXER_MASTER_L		0x0100
-#define MIXER_MASTER_R		0x0200
+#define MIXER_MASTER_L	0x0100
+#define MIXER_MASTER_R	0x0200
 #define ATT00DB			0x00
 #define ATT02DB			0x01
 #define ATT04DB			0x02
@@ -531,12 +533,12 @@
 * as the parameter to the mixer command to change the mixer settings.
 * 
 ******************************************************************************/
-#define MIXER_PORT_CD_L		0x0600
-#define MIXER_PORT_CD_R		0x0700
+#define MIXER_PORT_CD_L			0x0600
+#define MIXER_PORT_CD_R			0x0700
 #define MIXER_PORT_LINE_IN_L	0x0800
 #define MIXER_PORT_LINE_IN_R	0x0900
 #define MIXER_PORT_POTS_REC	0x0C00
-#define MIXER_PORT_MIC		0x0E00
+#define MIXER_PORT_MIC			0x0E00
 
 #define GAIN12DB		0x00
 #define GAIN10DB		0x01
@@ -570,7 +572,7 @@
 #define GAIN_46DB		0x1D
 #define GAIN_48DB		0x1E
 #define GAIN_50DB		0x1F
-#define INPUT_MUTE		0x80
+#define INPUT_MUTE	0x80
 
 /******************************************************************************
 * 
@@ -589,7 +591,7 @@
 #define POTS_ATT_20DB		0x05
 #define POTS_ATT_24DB		0x06
 #define POTS_ATT_28DB		0x07
-#define POTS_MUTE		0x80
+#define POTS_MUTE				0x80
 
 /******************************************************************************
 * 
@@ -600,12 +602,12 @@
 ******************************************************************************/
 #define IXJCTL_DAA_COEFF_SET		_IOW ('q', 0xD2, int)
 
-#define DAA_US 		1  //PITA 8kHz
-#define DAA_UK 		2  //ISAR34 8kHz
-#define DAA_FRANCE 	3  //
-#define DAA_GERMANY	4
+#define DAA_US				1  /* PITA 8kHz */
+#define DAA_UK				2  /* ISAR34 8kHz */
+#define DAA_FRANCE	 	3  
+#define DAA_GERMANY		4
 #define DAA_AUSTRALIA	5
-#define DAA_JAPAN	6
+#define DAA_JAPAN			6
 
 /******************************************************************************
 * 
@@ -618,16 +620,16 @@
 #define IXJCTL_PORT			_IOW ('q', 0xD3, int)
 
 #define PORT_QUERY	0
-#define PORT_POTS	1
-#define PORT_PSTN	2
+#define PORT_POTS		1
+#define PORT_PSTN		2
 #define PORT_SPEAKER	3
 #define PORT_HANDSET	4
 
 #define IXJCTL_PSTN_SET_STATE		_IOW ('q', 0xD4, int)
 #define IXJCTL_PSTN_GET_STATE		_IO  ('q', 0xD5)
 
-#define PSTN_ON_HOOK	0
-#define PSTN_RINGING	1
+#define PSTN_ON_HOOK		0
+#define PSTN_RINGING		1
 #define PSTN_OFF_HOOK	2
 #define PSTN_PULSE_DIAL	3
 
@@ -640,14 +642,14 @@
 ******************************************************************************/
 #define IXJCTL_DAA_AGAIN		_IOW ('q', 0xD6, int)
 
-#define AGRR00DB	0x00  // Analog gain in recieve direction 0dB
-#define AGRR3_5DB	0x10  // Analog gain in recieve direction 3.5dB
-#define AGRR06DB	0x30  // Analog gain in recieve direction 6dB
-
-#define AGX00DB		0x00  // Analog gain in transmit direction 0dB
-#define AGX_6DB		0x04  // Analog gain in transmit direction -6dB
-#define AGX3_5DB	0x08  // Analog gain in transmit direction 3.5dB
-#define AGX_2_5B	0x0C  // Analog gain in transmit direction -2.5dB
+#define AGRR00DB	0x00  /* Analog gain in recieve direction 0dB */
+#define AGRR3_5DB	0x10  /* Analog gain in recieve direction 3.5dB */
+#define AGRR06DB	0x30  /* Analog gain in recieve direction 6dB */
+
+#define AGX00DB	0x00  /* Analog gain in transmit direction 0dB */
+#define AGX_6DB	0x04  /* Analog gain in transmit direction -6dB */
+#define AGX3_5DB	0x08  /* Analog gain in transmit direction 3.5dB */
+#define AGX_2_5B	0x0C  /* Analog gain in transmit direction -2.5dB */
 
 #define IXJCTL_PSTN_LINETEST		_IO  ('q', 0xD7)
 
@@ -706,14 +708,14 @@
 *
 ******************************************************************************/
 
-#define IXJCTL_HZ                       _IOW ('q', 0xE0, int)
-#define IXJCTL_RATE                     _IOW ('q', 0xE1, int)
-#define IXJCTL_FRAMES_READ		_IOR ('q', 0xE2, unsigned long)
+#define IXJCTL_HZ						_IOW ('q', 0xE0, int)
+#define IXJCTL_RATE					_IOW ('q', 0xE1, int)
+#define IXJCTL_FRAMES_READ			_IOR ('q', 0xE2, unsigned long)
 #define IXJCTL_FRAMES_WRITTEN		_IOR ('q', 0xE3, unsigned long)
-#define IXJCTL_READ_WAIT		_IOR ('q', 0xE4, unsigned long)
-#define IXJCTL_WRITE_WAIT		_IOR ('q', 0xE5, unsigned long)
+#define IXJCTL_READ_WAIT			_IOR ('q', 0xE4, unsigned long)
+#define IXJCTL_WRITE_WAIT			_IOR ('q', 0xE5, unsigned long)
 #define IXJCTL_DRYBUFFER_READ		_IOR ('q', 0xE6, unsigned long)
-#define IXJCTL_DRYBUFFER_CLEAR		_IO  ('q', 0xE7)
+#define IXJCTL_DRYBUFFER_CLEAR	_IO  ('q', 0xE7)
 
 /******************************************************************************
 *
@@ -738,19 +740,19 @@
 * concatenate multiple 10ms frames.
 *
 ******************************************************************************/
-typedef enum{		// Bytes per 30ms audio frame
-G723_63	=	1,	// 24
-G723_53	=	2, 	// 20
-TS85	=	3,	// 32 Does not currently work on LineJack
-TS48	=	4,	// 18
-TS41	=	5,	// 16
-G728	=	6,	// 96 LineJack only!
-G729	=	7,	// 30 LineJack only!
-ULAW	=	8,	// 240
-ALAW	=	9,	// 240 not implemented DO NOT USE!
-LINEAR16=	10,	// 480
-LINEAR8	=	11,	// 240
-WSS	=	12	// 240
+typedef enum{		/* Bytes per 30ms audio frame */
+G723_63	=	1,		/* 24 */
+G723_53	=	2, 	/* 20 */
+TS85	=	3,			/* 32 Does not currently work on LineJack */
+TS48	=	4,			/* 18 */
+TS41	=	5,			/* 16 */
+G728	=	6,			/* 96 LineJack only! */
+G729	=	7,			/* 30 LineJack only! */
+ULAW	=	8,			/* 240 */
+ALAW	=	9,			/* 240 not implemented DO NOT USE! */
+LINEAR16=	10,	/* 480 */
+LINEAR8	=	11,	/* 240 */
+WSS	=	12			/* 240 */
 }IXJ_CODEC;
 /******************************************************************************
 *
@@ -763,8 +765,8 @@
 *
 ******************************************************************************/
 
-#define IXJCTL_INTERCOM_START 		_IOW ('q', 0xFD, int)
-#define IXJCTL_INTERCOM_STOP  		_IOW ('q', 0xFE, int) 
+#define IXJCTL_INTERCOM_START		_IOW ('q', 0xFD, int)
+#define IXJCTL_INTERCOM_STOP		_IOW ('q', 0xFE, int) 
 
 /******************************************************************************
 *
@@ -781,15 +783,15 @@
 *
 ******************************************************************************/
 
-#define SYNC_MODE_CODEC         0
-#define SYNC_MODE_DATA          1
-#define SYNC_MODE_POLL          2
-#define SYNC_MODE_HOST          3
+#define SYNC_MODE_CODEC		0
+#define SYNC_MODE_DATA		1
+#define SYNC_MODE_POLL		2
+#define SYNC_MODE_HOST		3
 
-#define RECORD_SYNC_MODE        0x5100
-#define PLAYBACK_SYNC_MODE      0x5200
+#define RECORD_SYNC_MODE		0x5100
+#define PLAYBACK_SYNC_MODE		0x5200
 
-#define USA_RING_CADENCE	0xC0C0
+#define USA_RING_CADENCE		0xC0C0
 
 /******************************************************************************
 *
Index: db1-ast/hash/hash_func.c
===================================================================
RCS file: /usr/cvsroot/asterisk/db1-ast/hash/hash_func.c,v
retrieving revision 1.2
diff -u -r1.2 hash_func.c
--- db1-ast/hash/hash_func.c	19 Sep 2003 01:20:23 -0000	1.2
+++ db1-ast/hash/hash_func.c	15 Jan 2005 05:15:44 -0000
@@ -46,9 +46,9 @@
 #include "extern.h"
 
 /* only one of these can be defined */
-//#define HASH1_EJB 1
-//#define HASH2_PHONG 1
-//#define HASH3_SDBM 1
+/* #define HASH1_EJB 1 */
+/* #define HASH2_PHONG 1 */
+/* #define HASH3_SDBM 1 */
 #define HASH4_TOREK 1
 
 static u_int32_t hashfunc __P((const void *, size_t));
Index: formats/msgsm.h
===================================================================
RCS file: /usr/cvsroot/asterisk/formats/msgsm.h,v
retrieving revision 1.2
diff -u -r1.2 msgsm.h
--- formats/msgsm.h	7 Mar 2003 06:00:13 -0000	1.2
+++ formats/msgsm.h	15 Jan 2005 05:16:00 -0000
@@ -229,11 +229,11 @@
     sr = sr >> 4;
     *c = sr >> 8;
     frame_chain = *c;
-    readGSM_33(d+33);// puts all the parameters into LARc etc.
+    readGSM_33(d+33); /* puts all the parameters into LARc etc. */
 
 
     sr = 0;
-//                      sr = (sr >> 4 )|( s->frame_chain << 12);
+/*                      sr = (sr >> 4 )|( s->frame_chain << 12); */
     sr = (sr >> 4 )|( frame_chain << 12);
 
     sr = (sr >> 6 )|( LARc[0] << 10);
@@ -570,7 +570,7 @@
                         frame_chain = sr & 0xf;
 
 
-                        writeGSM_33(d);// LARc etc. -> array of 33 GSM bytes
+                        writeGSM_33(d); /* LARc etc. -> array of 33 GSM bytes */
 
 
                         sr = frame_chain;
Index: include/asterisk/acl.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/acl.h,v
retrieving revision 1.8
diff -u -r1.8 acl.h
--- include/asterisk/acl.h	11 Jan 2005 17:08:52 -0000	1.8
+++ include/asterisk/acl.h	15 Jan 2005 05:16:00 -0000
@@ -51,7 +51,7 @@
 extern int ast_netsock_release(struct ast_netsock_list *list);
 extern int ast_netsock_sockfd(struct ast_netsock *ns);
 
-//! Compares the source address and port of two sockaddr_in
+/*! Compares the source address and port of two sockaddr_in */
 static inline int inaddrcmp(struct sockaddr_in *sin1, struct sockaddr_in *sin2)
 {
 	return ((sin1->sin_addr.s_addr != sin2->sin_addr.s_addr ) 
Index: include/asterisk/adsi.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/adsi.h,v
retrieving revision 1.5
diff -u -r1.5 adsi.h
--- include/asterisk/adsi.h	30 Aug 2004 05:27:51 -0000	1.5
+++ include/asterisk/adsi.h	15 Jan 2005 05:16:00 -0000
@@ -110,8 +110,8 @@
 #define ADSI_DIR_FROM_LEFT (0)
 #define ADSI_DIR_FROM_RIGHT (1)
 
-//! Perform Asterisk ADSI initialization (for channel drivers that want
-//   to support ADSI when the handset is first lifted) */
+/*! Perform Asterisk ADSI initialization (for channel drivers that want */
+/*   to support ADSI when the handset is first lifted) */
 /*! 
  * \param chan Channel to initialize for ADSI (if supported)
  * 
@@ -124,9 +124,9 @@
 
 extern int adsi_end_download(struct ast_channel *chan);
 
-//! Restore ADSI initialization (for applications that play with ADSI
-//  and want to restore it to normal.  If you touch "INFO" then you
-//  have to use the adsi_channel_init again instead.
+/*! Restore ADSI initialization (for applications that play with ADSI */
+/*  and want to restore it to normal.  If you touch "INFO" then you */
+/*  have to use the adsi_channel_init again instead. */
 /*!
  * \param chan Channel to restore
  * 
@@ -135,7 +135,7 @@
  */
 extern int adsi_channel_restore(struct ast_channel *chan);
 
-//! Display some stuff on the screen
+/*! Display some stuff on the screen */
 /*!
  * \param chan Channel to display on
  * \param lines NULL-terminated list of things to print (no more than 4 recommended)
@@ -147,8 +147,8 @@
  */
 extern int adsi_print(struct ast_channel *chan, char **lines, int *align, int voice);
 
-//! Check if scripts for a given app are already loaded.  Version may be -1
-//  if any version is okay, or 0-255 for a specific version.
+/*! Check if scripts for a given app are already loaded.  Version may be -1
+  if any version is okay, or 0-255 for a specific version. */
 /*!
  * \param chan Channel to test for loaded app
  * \param app Four character app name (must be unique to your application)
@@ -165,7 +165,7 @@
 extern int adsi_transmit_messages(struct ast_channel *chan, unsigned char **msg, int *msglen, int *msgtype);
 extern int adsi_transmit_message(struct ast_channel *chan, unsigned char *msg, int msglen, int msgtype);
 
-//! Read some encoded DTMF data.  
+/*! Read some encoded DTMF data.    */
 /*!
  * Returns number of bytes received
  */
@@ -173,7 +173,7 @@
 
 /* ADSI Layer 3 creation functions */
 
-//! Connects an ADSI Display Session */
+/*! Connects an ADSI Display Session */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param fdn Optional 4 byte Feature Download Number (for loading soft keys)
@@ -185,14 +185,14 @@
 
 extern int adsi_connect_session(unsigned char *buf, unsigned char *fdn, int ver);
 
-//! Build Query CPE ID of equipment */
+/*! Build Query CPE ID of equipment */
 /*!
  *  Returns number of bytes added to message
  */
 extern int adsi_query_cpeid(unsigned char *buf);
 extern int adsi_query_cpeinfo(unsigned char *buf);
 
-//! Get CPE ID from an attached ADSI compatible CPE.
+/*! Get CPE ID from an attached ADSI compatible CPE. */
 /*!
  * Returns 1 on success, storing 4 bytes of CPE ID at buf
  * or -1 on hangup, or 0 if there was no hangup but it failed to find the
@@ -202,7 +202,7 @@
 
 extern int adsi_get_cpeinfo(struct ast_channel *chan, int *width, int *height, int *buttons, int voice);
 
-//! Begin an ADSI script download */
+/*! Begin an ADSI script download */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param service, a 1-18 byte name of the feature
@@ -216,7 +216,7 @@
 
 extern int adsi_download_connect(unsigned char *buf, unsigned char *service, unsigned char *fdn, unsigned char *sec, int ver);
 
-//! Disconnects a running session
+/* ! Disconnects a running session */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  *
@@ -225,7 +225,7 @@
  */
 extern int adsi_disconnect_session(unsigned char *buf);
 
-//! Disconnects (and hopefully saves) a downloaded script
+/*! Disconnects (and hopefully saves) a downloaded script */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  *
@@ -234,7 +234,7 @@
  */
 extern int adsi_download_disconnect(unsigned char *buf);
 
-//! Puts CPE in data mode...
+/*! Puts CPE in data mode... */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  *
@@ -245,7 +245,7 @@
 extern int adsi_clear_soft_keys(unsigned char *buf);
 extern int adsi_clear_screen(unsigned char *buf);
 
-//! Puts CPE in voice mode...
+/*! Puts CPE in voice mode... */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param when (a time in seconds) to make the switch
@@ -255,14 +255,14 @@
  */
 extern int adsi_voice_mode(unsigned char *buf, int when);
 
-//! Returns non-zero if Channel does or might support ADSI
+/*! Returns non-zero if Channel does or might support ADSI */
 /*!
  * \param chan Channel to check
  *
  */
 extern int adsi_available(struct ast_channel *chan);
 
-//! Loads a line of info into the display */
+/*! Loads a line of info into the display */ 
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param page Page to load (ADSI_COMM_PAGE or ADSI_INFO_PAGE)
@@ -278,7 +278,7 @@
 
 extern int adsi_display(unsigned char *buf, int page, int line, int just, int wrap, unsigned char *col1, unsigned char *col2);
 
-//! Sets the current line and page */
+/*! Sets the current line and page */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param page Which page (ADSI_COMM_PAGE or ADSI_INFO_PAGE)
@@ -290,7 +290,7 @@
 
 extern int adsi_set_line(unsigned char *buf, int page, int line);
 
-//! Creates "load soft key" parameters
+/*! Creates "load soft key" parameters */
 /*! 
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param key Key code from 2 to 33, for which key we are loading
@@ -304,7 +304,7 @@
  */
 extern int adsi_load_soft_key(unsigned char *buf, int key, unsigned char *llabel, unsigned char *slabel, unsigned char *ret, int data);
 
-//! Set which soft keys should be displayed
+/*! Set which soft keys should be displayed */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param keys Array of 8 unsigned chars with the key numbers, may be OR'd with ADSI_KEY_HILITE
@@ -315,7 +315,7 @@
  */
 extern int adsi_set_keys(unsigned char *buf, unsigned char *keys);
 
-//! Set input information
+/*! Set input information */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param page Which page to input on (ADSI_COMM_PAGE or ADSI_INFO_PAGE)
@@ -329,7 +329,7 @@
  */
 extern int adsi_input_control(unsigned char *buf, int page, int line, int display, int format, int just);
 
-//! Set input format
+/*! Set input format */
 /*!
  * \param buf Character buffer to create parameter in (must have at least 256 free)
  * \param num Which format we are setting
Index: include/asterisk/alaw.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/alaw.h,v
retrieving revision 1.1
diff -u -r1.1 alaw.h
--- include/asterisk/alaw.h	9 Dec 2001 00:41:43 -0000	1.1
+++ include/asterisk/alaw.h	15 Jan 2005 05:16:00 -0000
@@ -14,18 +14,18 @@
 #ifndef _ASTERISK_ALAW_H
 #define _ASTERISK_ALAW_H
 
-//! Init the ulaw conversion stuff
+/*! Init the ulaw conversion stuff */
 /*!
  * To init the ulaw to slinear conversion stuff, this needs to be run.
  */
 extern void ast_alaw_init(void);
 
-//! converts signed linear to mulaw
+/*! converts signed linear to mulaw */
 /*!
   */
 extern unsigned char __ast_lin2a[8192];
 
-//! help
+/*! help */
 extern short __ast_alaw[256];
 
 #define AST_LIN2A(a) (__ast_lin2a[((unsigned short)(a)) >> 3])
Index: include/asterisk/app.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/app.h,v
retrieving revision 1.24
diff -u -r1.24 app.h
--- include/asterisk/app.h	10 Jan 2005 14:46:59 -0000	1.24
+++ include/asterisk/app.h	15 Jan 2005 05:16:00 -0000
@@ -18,7 +18,7 @@
 #if defined(__cplusplus) || defined(c_plusplus)
 extern "C" {
 #endif
-//! Plays a stream and gets DTMF data from a channel
+/*! Plays a stream and gets DTMF data from a channel  */
 /*!
  * \param c Which channel one is interacting with
  * \param prompt File to pass to ast_streamfile (the one that you wish to play)
@@ -36,7 +36,7 @@
 /* Full version with audiofd and controlfd.  NOTE: returns '2' on ctrlfd available, not '1' like other full functions */
 extern int ast_app_getdata_full(struct ast_channel *c, char *prompt, char *s, int maxlen, int timeout, int audiofd, int ctrlfd);
 
-//! Record voice (after playing prompt if specified), waiting for silence (in ms) up to a given timeout (in s) or '#'
+/*! Record voice (after playing prompt if specified), waiting for silence (in ms) up to a given timeout (in s) or '#' */
 int ast_app_getvoice(struct ast_channel *c, char *dest, char *dstfmt, char *prompt, int silence, int maxsec);
 
 void ast_install_vm_functions(int (*has_voicemail_func)(const char *mailbox, const char *folder),
@@ -44,56 +44,56 @@
   
 void ast_uninstall_vm_functions(void);
 
-//! Determine if a given mailbox has any voicemail
+/*! Determine if a given mailbox has any voicemail */
 int ast_app_has_voicemail(const char *mailbox, const char *folder);
 
-//! Determine number of new/old messages in a mailbox
+/*! Determine number of new/old messages in a mailbox */
 int ast_app_messagecount(const char *mailbox, int *newmsgs, int *oldmsgs);
 
-//! Safely spawn an external program while closingn file descriptors
+/*! Safely spawn an external program while closingn file descriptors */
 extern int ast_safe_system(const char *s);
 
-//! Send DTMF to chan (optionally entertain peer)  
+/*! Send DTMF to chan (optionally entertain peer)  */
 int ast_dtmf_stream(struct ast_channel *chan, struct ast_channel *peer, char *digits, int between);
 
-//! Stream a filename (or file descriptor) as a generator.
+/*! Stream a filename (or file descriptor) as a generator.  */
 int ast_linear_stream(struct ast_channel *chan, const char *filename, int fd, int allowoverride);
 
-//! Stream a file with fast forward, pause, reverse.
+/*! Stream a file with fast forward, pause, reverse. */
 int ast_control_streamfile(struct ast_channel *chan, const char *file, const char *fwd, const char *rev, const char *stop, const char *pause, int skipms);
 
-//! Play a stream and wait for a digit, returning the digit that was pressed
+/*! Play a stream and wait for a digit, returning the digit that was pressed */
 int ast_play_and_wait(struct ast_channel *chan, const char *fn);
 
-//! Record a file for a max amount of time (in seconds), in a given list of formats separated by '|', outputting the duration of the recording, and with a maximum
-//  permitted silence time in milliseconds of 'maxsilence' under 'silencethreshold' or use '-1' for either or both parameters for defaults.
+/*! Record a file for a max amount of time (in seconds), in a given list of formats separated by '|', outputting the duration of the recording, and with a maximum */
+/*  permitted silence time in milliseconds of 'maxsilence' under 'silencethreshold' or use '-1' for either or both parameters for defaults.  */
 int ast_play_and_record(struct ast_channel *chan, const char *playfile, const char *recordfile, int maxtime_sec, const char *fmt, int *duration, int silencethreshold, int maxsilence_ms);
 
-//! Record a message and prepend the message to the given record file after playing the optional playfile (or a beep), storing the duration in 'duration' and with a maximum
-//  permitted silence time in milliseconds of 'maxsilence' under 'silencethreshold' or use '-1' for either or both parameters for defaults.
+/*! Record a message and prepend the message to the given record file after playing the optional playfile (or a beep), storing the duration in 'duration' and with a maximum */
+/*  permitted silence time in milliseconds of 'maxsilence' under 'silencethreshold' or use '-1' for either or both parameters for defaults. */
 int ast_play_and_prepend(struct ast_channel *chan, char *playfile, char *recordfile, int maxtime_sec, char *fmt, int *duration, int beep, int silencethreshold, int maxsilence_ms);
 
 #define GROUP_CATEGORY_PREFIX "GROUP"
 
-//! Split a group string into group and category, returning a default category if none is provided.
+/*! Split a group string into group and category, returning a default category if none is provided. */
 int ast_app_group_split_group(char *data, char *group, int group_max, char *category, int category_max);
 
-//! Set the group for a channel, splitting the provided data into group and category, if specified.
+/*! Set the group for a channel, splitting the provided data into group and category, if specified. */
 int ast_app_group_set_channel(struct ast_channel *chan, char *data);
 
-//! Get the current channel count of the specified group and category.
+/*! Get the current channel count of the specified group and category. */
 int ast_app_group_get_count(char *group, char *category);
 
-//! Get the current channel count of all groups that match the specified pattern and category.
+/*! Get the current channel count of all groups that match the specified pattern and category.  */
 int ast_app_group_match_get_count(char *groupmatch, char *category);
 
-//! Create an argc argv type structure for app args
+/*! Create an argc argv type structure for app args */
 int ast_seperate_app_args(char *buf, char delim, char **array, int arraylen);
 
-//! Present a dialtone and collect a certain length extension.  Returns 1 on valid extension entered, -1 on hangup, or 0 on invalid extension.
+/*! Present a dialtone and collect a certain length extension.  Returns 1 on valid extension entered, -1 on hangup, or 0 on invalid extension. */
 int ast_app_dtget(struct ast_channel *chan, const char *context, char *collect, size_t size, int maxlen, int timeout);
 
-//! Allow to record message and have a review option
+/*! Allow to record message and have a review option */
 int ast_record_review(struct ast_channel *chan, const char *playfile, const char *recordfile, int maxtime, const char *fmt, int *duration);
 
 #if defined(__cplusplus) || defined(c_plusplus)
Index: include/asterisk/callerid.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/callerid.h,v
retrieving revision 1.9
diff -u -r1.9 callerid.h
--- include/asterisk/callerid.h	22 Oct 2004 19:45:39 -0000	1.9
+++ include/asterisk/callerid.h	15 Jan 2005 05:16:01 -0000
@@ -39,13 +39,13 @@
 struct callerid_state;
 typedef struct callerid_state CIDSTATE;
 
-//! CallerID Initialization
+/*! CallerID Initialization */
 /*!
  * Initializes the callerid system.  Mostly stuff for inverse FFT
  */
 extern void callerid_init(void);
 
-//! Generates a CallerID FSK stream in ulaw format suitable for transmission.
+/*! Generates a CallerID FSK stream in ulaw format suitable for transmission. */
 /*!
  * \param buf Buffer to use. If "buf" is supplied, it will use that buffer instead of allocating its own.  "buf" must be at least 32000 bytes in size of you want to be sure you don't have an overrun.
  * \param number Use NULL for no number or "P" for "private"
@@ -57,7 +57,7 @@
 */
 extern int callerid_generate(unsigned char *buf, char *number, char *name, int flags, int callwaiting, int codec);
 
-//! Create a callerID state machine
+/*! Create a callerID state machine */
 /*!
  * \param cid_signalling Type of signalling in use
  *
@@ -66,7 +66,7 @@
  */
 extern struct callerid_state *callerid_new(int cid_signalling);
 
-//! Read samples into the state machine.
+/*! Read samples into the state machine.  */
 /*!
  * \param cid Which state machine to act upon
  * \param buffer containing your samples
@@ -79,7 +79,7 @@
  */
 extern int callerid_feed(struct callerid_state *cid, unsigned char *ubuf, int samples, int codec);
 
-//! Extract info out of callerID state machine.  Flags are listed above
+/*! Extract info out of callerID state machine.  Flags are listed above */
 /*!
  * \param cid Callerid state machine to act upon
  * \param number Pass the address of a pointer-to-char (will contain the phone number)
@@ -94,7 +94,7 @@
  */
 void callerid_get(struct callerid_state *cid, char **number, char **name, int *flags);
 
-//! Get and parse DTMF-based callerid 
+/*! Get and parse DTMF-based callerid  */
 /*!
  * \param cidstring The actual transmitted string.
  * \param number The cid number is returned here.
@@ -103,14 +103,14 @@
  */
 void callerid_get_dtmf(char *cidstring, char *number, int *flags);
 
-//! Free a callerID state
+/*! Free a callerID state */
 /*!
  * \param cid This is the callerid_state state machine to free
  * This function frees callerid_state cid.
  */
 extern void callerid_free(struct callerid_state *cid);
 
-//! Generate Caller-ID spill from the "callerid" field of asterisk (in e-mail address like format)
+/*! Generate Caller-ID spill from the "callerid" field of asterisk (in e-mail address like format) */
 /*!
  * \param buf buffer for output samples. See callerid_generate() for details regarding buffer.
  * \param astcid Asterisk format callerid string, taken from the callerid field of asterisk.
@@ -120,16 +120,16 @@
  */
 extern int ast_callerid_generate(unsigned char *buf, char *name, char *number, int codec);
 
-//! Generate message waiting indicator 
+/*! Generate message waiting indicator  */
 extern int vmwi_generate(unsigned char *buf, int active, int mdmf, int codec);
 
-//! Generate Caller-ID spill but in a format suitable for Call Waiting(tm)'s Caller*ID(tm)
+/*! Generate Caller-ID spill but in a format suitable for Call Waiting(tm)'s Caller*ID(tm) */
 /*!
  * See ast_callerid_generate for other details
  */
 extern int ast_callerid_callwaiting_generate(unsigned char *buf, char *name, char *number, int codec);
 
-//! Destructively parse inbuf into name and location (or number)
+/*! Destructively parse inbuf into name and location (or number) */
 /*!
  * \param inbuf buffer of callerid stream (in audio form) to be parsed. Warning, data in buffer is changed.
  * \param name address of a pointer-to-char for the name value of the stream.
@@ -139,7 +139,7 @@
  */
 extern int ast_callerid_parse(char *instr, char **name, char **location);
 
-//! Generate a CAS (CPE Alert Signal) tone for 'n' samples
+/*! Generate a CAS (CPE Alert Signal) tone for 'n' samples */
 /*!
  * \param outbuf Allocated buffer for data.  Must be at least 2400 bytes unless no SAS is desired
  * \param sas Non-zero if CAS should be preceeded by SAS
@@ -149,14 +149,14 @@
  */
 extern int ast_gen_cas(unsigned char *outbuf, int sas, int len, int codec);
 
-//! Shrink a phone number in place to just digits (more accurately it just removes ()'s, .'s, and -'s...
+/*! Shrink a phone number in place to just digits (more accurately it just removes ()'s, .'s, and -'s... */
 /*!
  * \param n The number to be stripped/shrunk
  * Returns nothing important
  */
 extern void ast_shrink_phone_number(char *n);
 
-//! Check if a string consists only of digits.  Returns non-zero if so
+/*! Check if a string consists only of digits.  Returns non-zero if so */
 /*!
  * \param n number to be checked.
  * Returns 0 if n is a number, 1 if it's not.
Index: include/asterisk/cdr.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/cdr.h,v
retrieving revision 1.17
diff -u -r1.17 cdr.h
--- include/asterisk/cdr.h	10 Jan 2005 14:46:59 -0000	1.17
+++ include/asterisk/cdr.h	15 Jan 2005 05:16:01 -0000
@@ -29,7 +29,7 @@
 #define AST_CDR_ANSWERED			(1 << 2)
 #define AST_CDR_FAILED				(1 << 3)
 
-//! AMA Flags
+/*! AMA Flags */
 #define AST_CDR_OMIT				(1)
 #define AST_CDR_BILLING				(2)
 #define AST_CDR_DOCUMENTATION			(3)
@@ -38,7 +38,7 @@
 
 struct ast_channel;
 
-//! Responsible for call detail data
+/*! Responsible for call detail data */
 struct ast_cdr {
 	/*! Caller*ID with text */
 	char clid[AST_MAX_EXTENSION];		
@@ -83,19 +83,19 @@
 
 typedef int (*ast_cdrbe)(struct ast_cdr *cdr);
 
-//! Allocate a record
+/*! Allocate a record */
 /*! 
  * Returns a malloc'd ast_cdr structure, returns NULL on error (malloc failure)
  */
 extern struct ast_cdr *ast_cdr_alloc(void);
 
-//! Free a record
+/*! Free a record */
 /* \param cdr ast_cdr structure to free
  * Returns nothing important
  */
 extern void ast_cdr_free(struct ast_cdr *cdr);
 
-//! Initialize based on a channel
+/*! Initialize based on a channel */
 /*! 
  * \param cdr Call Detail Record to use for channel
  * \param chan Channel to bind CDR with
@@ -104,7 +104,7 @@
  */
 extern int ast_cdr_init(struct ast_cdr *cdr, struct ast_channel *chan);
 
-//! Initialize based on a channel
+/*! Initialize based on a channel */
 /*! 
  * \param cdr Call Detail Record to use for channel
  * \param chan Channel to bind CDR with
@@ -113,7 +113,7 @@
  */
 extern int ast_cdr_setcid(struct ast_cdr *cdr, struct ast_channel *chan);
 
-//! Register a CDR handling engine
+/*! Register a CDR handling engine */
 /*!
  * \param name name associated with the particular CDR handler
  * \param desc description of the CDR handler
@@ -123,14 +123,14 @@
  */
 extern int ast_cdr_register(char *name, char *desc, ast_cdrbe be);
 
-//! Unregister a CDR handling engine
+/*! Unregister a CDR handling engine */
 /*!
  * \param name name of CDR handler to unregister
  * Unregisters a CDR by it's name
  */
 extern void ast_cdr_unregister(char *name);
 
-//! Start a call
+/*! Start a call  */
 /*!
  * \param cdr the cdr you wish to associate with the call
  * Starts all CDR stuff necessary for monitoring a call
@@ -138,28 +138,28 @@
  */
 extern void ast_cdr_start(struct ast_cdr *cdr);
 
-//! Answer a call
+/*! Answer a call */
 /*!
  * \param cdr the cdr you wish to associate with the call
  * Starts all CDR stuff necessary for doing CDR when answering a call
  */
 extern void ast_cdr_answer(struct ast_cdr *cdr);
 
-//! Busy a call
+/*! Busy a call */
 /*!
  * \param cdr the cdr you wish to associate with the call
  * Returns nothing important
  */
 extern void ast_cdr_busy(struct ast_cdr *cdr);
 
-//! Fail a call
+/*! Fail a call */
 /*!
  * \param cdr the cdr you wish to associate with the call
  * Returns nothing important
  */
 extern void ast_cdr_failed(struct ast_cdr *cdr);
 
-//! Save the result of the call based on the AST_CAUSE_*
+/*! Save the result of the call based on the AST_CAUSE_* */
 /*!
  * \param cdr the cdr you wish to associate with the call
  * Returns nothing important
@@ -167,7 +167,7 @@
  */
 extern int ast_cdr_disposition(struct ast_cdr *cdr, int cause);
 	
-//! End a call
+/*! End a call */
 /*!
  * \param cdr the cdr you have associated the call with
  * Registers the end of call time in the cdr structure.
@@ -175,7 +175,7 @@
  */
 extern void ast_cdr_end(struct ast_cdr *cdr);
 
-//! Post the detail record
+/*! Post the detail record */
 /*! 
  * \param cdr Which cdr to post
  * Actually outputs the CDR record to the CDR plugins installed
@@ -183,7 +183,7 @@
  */
 extern void ast_cdr_post(struct ast_cdr *cdr);
 
-//! Set the destination channel, if there was one
+/*! Set the destination channel, if there was one */
 /*!
  * \param cdr Which cdr it's applied to
  * Sets the destination channel the CDR is applied to
@@ -191,7 +191,7 @@
  */
 extern void ast_cdr_setdestchan(struct ast_cdr *cdr, char *chan);
 
-//! Set the last executed application
+/*! Set the last executed application */
 /*!
  * \param cdr which cdr to act upon
  * \param app the name of the app you wish to change it to
@@ -201,7 +201,7 @@
  */
 extern void ast_cdr_setapp(struct ast_cdr *cdr, char *app, char *data);
 
-//! Convert a string to a detail record AMA flag
+/*! Convert a string to a detail record AMA flag */
 /*!
  * \param flag string form of flag
  * Converts the string form of the flag to the binary form.
@@ -209,7 +209,7 @@
  */
 extern int ast_cdr_amaflags2int(const char *flag);
 
-//! Disposition to a string
+/*! Disposition to a string */
 /*!
  * \param flag input binary form
  * Converts the binary form of a disposition to string form.
@@ -217,7 +217,7 @@
  */
 extern char *ast_cdr_disp2str(int disposition);
 
-//! Reset the detail record, optionally posting it first
+/*! Reset the detail record, optionally posting it first */
 /*!
  * \param cdr which cdr to act upon
  * \param flags |AST_CDR_FLAG_POSTED whether or not to post the cdr first before resetting it
@@ -225,7 +225,7 @@
  */
 extern void ast_cdr_reset(struct ast_cdr *cdr, int flags);
 
-//! Flags to a string
+/*! Flags to a string */
 /*!
  * \param flags binary flag
  * Converts binary flags to string flags
Index: include/asterisk/channel.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/channel.h,v
retrieving revision 1.71
diff -u -r1.71 channel.h
--- include/asterisk/channel.h	10 Jan 2005 14:46:59 -0000	1.71
+++ include/asterisk/channel.h	15 Jan 2005 05:16:02 -0000
@@ -31,7 +31,7 @@
 
 #include <asterisk/lock.h>
 
-//! Max length of an extension
+/*! Max length of an extension */
 #define AST_MAX_EXTENSION 80
 
 #include <asterisk/cdr.h>
@@ -73,7 +73,7 @@
 	int cid_tns;
 };
 
-//! Main Channel structure associated with a channel.
+/*! Main Channel structure associated with a channel. */
 /*! 
  * This is the side of it mostly used by the pbx and call management.
  */
@@ -329,7 +329,7 @@
 /*! Device is unavailable */
 #define AST_DEVICE_UNAVAILABLE	5
 
-//! Requests a channel
+/*! Requests a channel */
 /*! 
  * \param type type of channel to request
  * \param format requested channel format
@@ -340,7 +340,7 @@
  */
 struct ast_channel *ast_request(const char *type, int format, void *data, int *status);
 
-//! Search the Channels by Name
+/*! Search the Channels by Name */
 /*!
  * \param device like a dialstring
  * Search the Device in active channels by compare the channelname against 
@@ -350,7 +350,7 @@
  */
 int ast_parse_device_state(char *device);
 
-//! Asks a channel for device state
+/*! Asks a channel for device state */
 /*!
  * \param device like a dialstring
  * Asks a channel for device state, data is  normaly a number from dialstring
@@ -376,7 +376,7 @@
 
 struct ast_channel *__ast_request_and_dial(const char *type, int format, void *data, int timeout, int *reason, const char *cidnum, const char *cidname, struct outgoing_helper *oh);
 
-//! Registers a channel
+/*! Registers a channel */
 /*! 
  * \param type type of channel you are registering
  * \param description short description of the channel
@@ -395,7 +395,7 @@
 		struct ast_channel *(*requester)(const char *type, int format, void *data, int *cause),
 		int (*devicestate)(void *data));
 
-//! Unregister a channel class
+/*! Unregister a channel class */
 /*
  * \param type the character string that corresponds to the channel you wish to unregister
  * Basically just unregisters the channel with the asterisk channel system
@@ -403,7 +403,7 @@
  */
 void ast_channel_unregister(const char *type);
 
-//! Hang up a channel 
+/*! Hang up a channel   */
 /*! 
  * \param chan channel to hang up
  * This function performs a hard hangup on a channel.  Unlike the soft-hangup, this function
@@ -413,7 +413,7 @@
  */
 int ast_hangup(struct ast_channel *chan);
 
-//! Softly hangup up a channel
+/*! Softly hangup up a channel */
 /*! 
  * \param chan channel to be soft-hung-up
  * Call the protocol layer, but don't destroy the channel structure (use this if you are trying to
@@ -423,7 +423,7 @@
 int ast_softhangup(struct ast_channel *chan, int cause);
 int ast_softhangup_nolock(struct ast_channel *chan, int cause);
 
-//! Check to see if a channel is needing hang up
+/*! Check to see if a channel is needing hang up */
 /*! 
  * \param chan channel on which to check for hang up
  * This function determines if the channel is being requested to be hung up.
@@ -431,7 +431,7 @@
  */
 int ast_check_hangup(struct ast_channel *chan);
 
-//! Set when to hang a channel up
+/*! Set when to hang a channel up */
 /*! 
  * \param chan channel on which to check for hang up
  * \param offset offset in seconds from current time of when to hang up
@@ -439,7 +439,7 @@
  */
 void ast_channel_setwhentohangup(struct ast_channel *chan, time_t offset);
 
-//! Answer a ringing call
+/*! Answer a ringing call */
 /*!
  * \param chan channel to answer
  * This function answers a channel and handles all necessary call
@@ -448,7 +448,7 @@
  */
 int ast_answer(struct ast_channel *chan);
 
-//! Make a call
+/*! Make a call */
 /*! 
  * \param chan which channel to make the call on
  * \param addr destination of the call
@@ -460,7 +460,7 @@
    */
 int ast_call(struct ast_channel *chan, char *addr, int timeout);
 
-//! Indicates condition of channel
+/*! Indicates condition of channel */
 /*! 
  * \param chan channel to change the indication
  * \param condition which condition to indicate on the channel
@@ -471,7 +471,7 @@
 
 /* Misc stuff */
 
-//! Wait for input on a channel
+/*! Wait for input on a channel */
 /*! 
  * \param chan channel to wait on
  * \param ms length of time to wait on the channel
@@ -479,7 +479,7 @@
   Returns < 0 on  failure, 0 if nothing ever arrived, and the # of ms remaining otherwise */
 int ast_waitfor(struct ast_channel *chan, int ms);
 
-//! Wait for a specied amount of time, looking for hangups
+/*! Wait for a specied amount of time, looking for hangups */
 /*!
  * \param chan channel to wait for
  * \param ms length of time in milliseconds to sleep
@@ -488,7 +488,7 @@
  */
 int ast_safe_sleep(struct ast_channel *chan, int ms);
 
-//! Wait for a specied amount of time, looking for hangups and a condition argument
+/*! Wait for a specied amount of time, looking for hangups and a condition argument */
 /*!
  * \param chan channel to wait for
  * \param ms length of time in milliseconds to sleep
@@ -500,7 +500,7 @@
  */
 int ast_safe_sleep_conditional(struct ast_channel *chan, int ms, int (*cond)(void*), void *data );
 
-//! Waits for activity on a group of channels
+/*! Waits for activity on a group of channels */
 /*! 
  * \param chan an array of pointers to channels
  * \param n number of channels that are to be waited upon
@@ -515,17 +515,17 @@
    will be -1 */
 struct ast_channel *ast_waitfor_nandfds(struct ast_channel **chan, int n, int *fds, int nfds, int *exception, int *outfd, int *ms);
 
-//! Waits for input on a group of channels
+/*! Waits for input on a group of channels */
 /*! Wait for input on an array of channels for a given # of milliseconds. Return channel
    with activity, or NULL if none has activity.  time "ms" is modified in-place, if applicable */
 struct ast_channel *ast_waitfor_n(struct ast_channel **chan, int n, int *ms);
 
-//! Waits for input on an fd
+/*! Waits for input on an fd */
 /*! This version works on fd's only.  Be careful with it. */
 int ast_waitfor_n_fd(int *fds, int n, int *ms, int *exception);
 
 
-//! Reads a frame
+/*! Reads a frame */
 /*!
  * \param chan channel to read a frame from
  * Read a frame.  Returns a frame, or NULL on error.  If it returns NULL, you
@@ -533,7 +533,7 @@
    disconnected. */
 struct ast_frame *ast_read(struct ast_channel *chan);
 
-//! Write a frame to a channel
+/*! Write a frame to a channel */
 /*!
  * \param chan destination channel of the frame
  * \param frame frame that will be written
@@ -542,7 +542,7 @@
  */
 int ast_write(struct ast_channel *chan, struct ast_frame *frame);
 
-//! Write video frame to a channel
+/*! Write video frame to a channel */
 /*!
  * \param chan destination channel of the frame
  * \param frame frame that will be written
@@ -554,7 +554,7 @@
 /* Send empty audio to prime a channel driver */
 int ast_prod(struct ast_channel *chan);
 
-//! Sets read format on channel chan
+/*! Sets read format on channel chan */
 /*! 
  * \param chan channel to change
  * \param format format to change to
@@ -563,7 +563,7 @@
  */
 int ast_set_read_format(struct ast_channel *chan, int format);
 
-//! Sets write format on channel chan
+/*! Sets write format on channel chan */
 /*! 
  * \param chan channel to change
  * \param format new format for writing
@@ -572,7 +572,7 @@
  */
 int ast_set_write_format(struct ast_channel *chan, int format);
 
-//! Sends text to a channel
+/*! Sends text to a channel */
 /*! 
  * \param chan channel to act upon
  * \param text string of text to send on the channel
@@ -581,7 +581,7 @@
  */
 int ast_sendtext(struct ast_channel *chan, char *text);
 
-//! Receives a text character from a channel
+/*! Receives a text character from a channel */
 /*! 
  * \param chan channel to act upon
  * \param timeout timeout in milliseconds (0 for infinite wait)
@@ -593,7 +593,7 @@
 
 int ast_recvchar(struct ast_channel *chan, int timeout);
 
-//! Browse channels in use
+/*! Browse channels in use */
 /*! 
  * \param prev where you want to start in the channel list
  * Browse the channels currently in use 
@@ -602,10 +602,10 @@
  */
 struct ast_channel *ast_channel_walk_locked(struct ast_channel *prev);
 
-//! Get channel by name (locks channel)
+/*! Get channel by name (locks channel) */
 struct ast_channel *ast_get_channel_by_name_locked(char *channame);
 
-//! Waits for a digit
+/*! Waits for a digit */
 /*! 
  * \param c channel to wait for a digit on
  * \param ms how many milliseconds to wait
@@ -616,7 +616,7 @@
    reading. Returns 1 if ctrlfd becomes available */
 char ast_waitfordigit_full(struct ast_channel *c, int ms, int audiofd, int ctrlfd);
 
-//! Reads multiple digits
+/*! Reads multiple digits */
 /*! 
  * \param c channel to read from
  * \param s string to read in to.  Must be at least the size of your length
@@ -644,7 +644,7 @@
 #define AST_BRIDGE_IGNORE_SIGS			(1 << 4)		
 
 
-//! Makes two channel formats compatible
+/*! Makes two channel formats compatible */
 /*! 
  * \param c0 first channel to make compatible
  * \param c1 other channel to make compatible
@@ -652,7 +652,7 @@
    and -1 if it could not be done */
 int ast_channel_make_compatible(struct ast_channel *c0, struct ast_channel *c1);
 
-//! Bridge two channels together
+/*! Bridge two channels together */
 /*! 
  * \param c0 first channel to bridge
  * \param c1 second channel to bridge
@@ -661,10 +661,10 @@
  * \param rc destination channel(?)
  * Bridge two channels (c0 and c1) together.  If an important frame occurs, we return that frame in
    *rf (remember, it could be NULL) and which channel (0 or 1) in rc */
-//int ast_channel_bridge(struct ast_channel *c0, struct ast_channel *c1, int flags, struct ast_frame **fo, struct ast_channel **rc);
+/*int ast_channel_bridge(struct ast_channel *c0, struct ast_channel *c1, int flags, struct ast_frame **fo, struct ast_channel **rc); */
 int ast_channel_bridge(struct ast_channel *c0,struct ast_channel *c1,struct ast_bridge_config *config, struct ast_frame **fo, struct ast_channel **rc);
 
-//! Weird function made for call transfers
+/*! Weird function made for call transfers */
 /*! 
  * \param original channel to make a copy of
  * \param clone copy of the original channel
@@ -676,7 +676,7 @@
    channel is hung up.  */
 int ast_channel_masquerade(struct ast_channel *original, struct ast_channel *clone);
 
-//! Gives the string form of a given state
+/*! Gives the string form of a given state */
 /*! 
  * \param state state to get the name of
  * Give a name to a state 
@@ -690,7 +690,7 @@
    none or a subset of those features, and you should not count on this if you want your
    asterisk application to be portable.  They're mainly useful for tweaking performance */
 
-//! Sets an option on a channel
+/*! Sets an option on a channel */
 /*! 
  * \param channel channel to set options on
  * \param option option to change
@@ -702,32 +702,32 @@
  */
 int ast_channel_setoption(struct ast_channel *channel, int option, void *data, int datalen, int block);
 
-//! Checks the value of an option
+/*! Checks the value of an option */
 /*! 
  * Query the value of an option, optionally blocking until a reply is received
  * Works similarly to setoption except only reads the options.
  */
 struct ast_frame *ast_channel_queryoption(struct ast_channel *channel, int option, void *data, int *datalen, int block);
 
-//! Checks for HTML support on a channel
+/*! Checks for HTML support on a channel */
 /*! Returns 0 if channel does not support HTML or non-zero if it does */
 int ast_channel_supports_html(struct ast_channel *channel);
 
-//! Sends HTML on given channel
+/*! Sends HTML on given channel */
 /*! Send HTML or URL on link.  Returns 0 on success or -1 on failure */
 int ast_channel_sendhtml(struct ast_channel *channel, int subclass, char *data, int datalen);
 
-//! Sends a URL on a given link
+/*! Sends a URL on a given link */
 /*! Send URL on link.  Returns 0 on success or -1 on failure */
 int ast_channel_sendurl(struct ast_channel *channel, char *url);
 
-//! Defers DTMF
+/*! Defers DTMF */
 /*! Defer DTMF so that you only read things like hangups and audio.  Returns
    non-zero if channel was already DTMF-deferred or 0 if channel is just now
    being DTMF-deferred */
 int ast_channel_defer_dtmf(struct ast_channel *chan);
 
-//! Undeos a defer
+/*! Undeos a defer */
 /*! Undo defer.  ast_read will return any dtmf characters that were queued */
 void ast_channel_undefer_dtmf(struct ast_channel *chan);
 
@@ -823,7 +823,7 @@
 }
 #endif
 
-//! Waits for activity on a group of channels
+/*! Waits for activity on a group of channels */
 /*! 
  * \param nfds the maximum number of file descriptors in the sets
  * \param rfds file descriptors to check for read availability
Index: include/asterisk/channel_pvt.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/channel_pvt.h,v
retrieving revision 1.15
diff -u -r1.15 channel_pvt.h
--- include/asterisk/channel_pvt.h	23 Oct 2004 12:19:47 -0000	1.15
+++ include/asterisk/channel_pvt.h	15 Jan 2005 05:16:02 -0000
@@ -73,7 +73,7 @@
 	struct ast_channel * (*bridged_channel)(struct ast_channel *chan, struct ast_channel *bridge);
 };
 
-//! Create a channel structure
+/* ! Create a channel structure */
 /*! Returns NULL on failure to allocate */
 struct ast_channel *ast_channel_alloc(int needalertpipe);
 
@@ -89,7 +89,7 @@
 
 void ast_change_name(struct ast_channel *chan, char *newname);
 
-//! Free a channel structure
+/* ! Free a channel structure */
 void  ast_channel_free(struct ast_channel *);
 
 #if defined(__cplusplus) || defined(c_plusplus)
Index: include/asterisk/cli.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/cli.h,v
retrieving revision 1.6
diff -u -r1.6 cli.h
--- include/asterisk/cli.h	6 Apr 2004 07:42:01 -0000	1.6
+++ include/asterisk/cli.h	15 Jan 2005 05:16:02 -0000
@@ -33,7 +33,7 @@
 
 #define AST_CLI_COMPLETE_EOF	"_EOF_"
 
-//! A command line entry */
+/* ! A command line entry */ 
 struct ast_cli_entry {
 	/*! Null terminated list of the words of the command */
 	char *cmda[AST_MAX_CMD_LEN];
@@ -51,13 +51,13 @@
 	int inuse;
 };
 
-//! Interprets a command
+/* ! Interprets a command */
 /*! Interpret a command s, sending output to fd
  * Returns 0 on succes, -1 on failure 
  */
 extern int ast_cli_command(int fd, char *s);
 
-//! Registers a command
+/* ! Registers a command */
 /*! 
  * \param fd File descriptor that I/O is done to
  * \param s string given at prompt
@@ -66,7 +66,7 @@
  */
 extern int ast_cli_register(struct ast_cli_entry *e);
 
-//! Unregisters a command
+/* ! Unregisters a command */
 /*!
  * \param e which cli entry to unregister
  * Unregister your own command.  You must pass a completed ast_cli_entry structur
@@ -74,7 +74,7 @@
  */
 extern int ast_cli_unregister(struct ast_cli_entry *e);
 
-//! Readline madness
+/* ! Readline madness */
 /* Useful for readline, that's about it
  * Returns 0 on success, -1 on failure
  */
Index: include/asterisk/config.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/config.h,v
retrieving revision 1.12
diff -u -r1.12 config.h
--- include/asterisk/config.h	8 Oct 2004 18:20:49 -0000	1.12
+++ include/asterisk/config.h	15 Jan 2005 05:16:02 -0000
@@ -37,7 +37,7 @@
 	char stuff[0];
 };
 
-//! Load a config file
+/* ! Load a config file */
 /*! 
  * \param configfile path of file to open.  If no preceding '/' character, path is considered relative to AST_CONFIG_DIR
  * Create a config structure from a given configuration file.
@@ -45,7 +45,7 @@
  */
 struct ast_config *ast_load(char *configfile);
 
-//! Removes a config
+/* ! Removes a config */
 /*!
  * \param config config data structure associated with the config.
  * Free memory associated with a given config
@@ -53,7 +53,7 @@
  */
 void ast_destroy(struct ast_config *config);
 
-//! Goes through categories
+/* ! Goes through categories */
 /*!
  * \param config Which config file you wish to "browse"
  * \param prev A pointer to a previous category.
@@ -62,7 +62,7 @@
  */
 char *ast_category_browse(struct ast_config *config, char *prev);
 
-//! Goes through variables
+/* ! Goes through variables */
 /*!
  * Somewhat similar in intent as the ast_category_browse.  The category MUST be an actual pointer to an actual category (such as one obtained by using ast_category_browse()).
  * List variables of config file
@@ -70,7 +70,7 @@
  */
 struct ast_variable *ast_variable_browse(struct ast_config *config, char *category);
 
-//! Gets a variable
+/* ! Gets a variable */
 /*!
  * \param config which (opened) config to use
  * \param category category under which the variable lies (must be a pointer to the category, such as one given by ast_category_browse)
@@ -80,7 +80,7 @@
  * Retrieve a specific variable */
 char *ast_variable_retrieve(struct ast_config *config, char *category, char *value);
 
-//! Make sure something is true
+/* ! Make sure something is true */
 /*!
  * Determine affermativeness of a boolean value.
  * This function checks to see whether a string passed to it is an indication of an affirmitave value.  It checks to see if the string is "yes", "true", "y", "t", and "1".  
@@ -88,7 +88,7 @@
  */
 int ast_true(const char *val);
 
-//! Make sure something is false
+/* ! Make sure something is false */
 /*!
  * Determine falseness of a boolean value.
  * This function checks to see whether a string passed to it is an indication of a negatirve value.  It checks to see if the string is "no", "false", "n", "f", and "0".  
@@ -96,7 +96,7 @@
  */
 int ast_false(const char *val);
 
-//! Check for category duplicates
+/* ! Check for category duplicates */
 /*!
  * \param config which config to use
  * \param category_name name of the category you're looking for
@@ -104,7 +104,7 @@
  * Browse config structure and check for category duplicity Return non-zero if found */
 int ast_category_exist(struct ast_config *config, char *category_name);
 
-//! Retrieve realtime configuration
+/* ! Retrieve realtime configuration */
 /*!
  * \param family which family/config to lookup
  * \param keyfield which field to use as the key
@@ -116,7 +116,7 @@
  */
 struct ast_variable *ast_load_realtime(const char *family, ...);
 
-//! Retrieve realtime configuration
+/* ! Retrieve realtime configuration */
 /*!
  * \param family which family/config to lookup
  * \param keyfield which field to use as the key
@@ -129,7 +129,7 @@
  */
 struct ast_config *ast_load_realtime_multientry(const char *family, ...);
 
-//! Update realtime configuration
+/* ! Update realtime configuration */
 /*!
  * \param family which family/config to be updated
  * \param keyfield which field to use as the key
@@ -141,7 +141,7 @@
  */
 int ast_update_realtime(const char *family, const char *keyfield, const char *lookup, ...);
 
-//! Free realtime configuration
+/* ! Free realtime configuration */
 /*!
  * \param var the linked list of variables to free
  * This command free's a list of variables and should ONLY be used
Index: include/asterisk/crypto.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/crypto.h,v
retrieving revision 1.4
diff -u -r1.4 crypto.h
--- include/asterisk/crypto.h	18 Sep 2004 03:59:51 -0000	1.4
+++ include/asterisk/crypto.h	15 Jan 2005 05:16:02 -0000
@@ -26,7 +26,7 @@
 
 struct ast_key;
 
-//! Retrieve a key
+/* ! Retrieve a key */
 /*! 
  * \param name of the key we are retrieving
  * \param int type of key (AST_KEY_PUBLIC or AST_KEY_PRIVATE)
@@ -35,14 +35,14 @@
  */
 extern struct ast_key *ast_key_get(char *key, int type);
 
-//! Initialize keys (that is, retrieve pass codes for all private keys)
+/* ! Initialize keys (that is, retrieve pass codes for all private keys) */
 /*!
  * \param fd a file descriptor for I/O for passwords
  *
  */
 extern int ast_key_init(int fd);
 
-//! Check the authenticity of a message signature using a given public key
+/* ! Check the authenticity of a message signature using a given public key */
 /*!
  * \param key a public key to use to verify
  * \param msg the message that has been signed
@@ -53,7 +53,7 @@
  */
 extern int ast_check_signature(struct ast_key *key, char *msg, char *sig);
 
-//! Check the authenticity of a message signature using a given public key
+/* ! Check the authenticity of a message signature using a given public key */
 /*!
  * \param key a public key to use to verify
  * \param msg the message that has been signed
Index: include/asterisk/features.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/features.h,v
retrieving revision 1.3
diff -u -r1.3 features.h
--- include/asterisk/features.h	17 Jul 2004 23:56:12 -0000	1.3
+++ include/asterisk/features.h	15 Jan 2005 05:16:02 -0000
@@ -17,7 +17,7 @@
 #ifndef _AST_FEATURES_H
 #define _AST_FEATURES_H
 
-//! Park a call and read back parked location
+/* ! Park a call and read back parked location */
 /*! \param chan the channel to actually be parked
     \param host the channel which will have the parked location read to
 	Park the channel chan, and read back the parked location to the
@@ -28,7 +28,7 @@
 	\param extout is a parameter to an int that will hold the parked location, or NULL if you want
 */
 extern int ast_park_call(struct ast_channel *chan, struct ast_channel *host, int timeout, int *extout);
-//! Park a call via a masqueraded channel
+/* ! Park a call via a masqueraded channel */
 /*! \param rchan the real channel to be parked
     \param host the channel to have the parking read to
 	Masquerade the channel rchan into a new, empty channel which is then
@@ -38,13 +38,13 @@
 */
 extern int ast_masq_park_call(struct ast_channel *rchan, struct ast_channel *host, int timeout, int *extout);
 
-//! Determine system parking extension
+/* ! Determine system parking extension */
 /*! Returns the call parking extension for drivers that provide special
     call parking help */
 extern char *ast_parking_ext(void);
 extern char *ast_pickup_ext(void);
 
-//! Bridge a call, optionally allowing redirection
+/* ! Bridge a call, optionally allowing redirection */
 
 extern int ast_bridge_call(struct ast_channel *chan, struct ast_channel *peer,struct ast_bridge_config *config);
 
Index: include/asterisk/file.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/file.h,v
retrieving revision 1.19
diff -u -r1.19 file.h
--- include/asterisk/file.h	24 Dec 2004 01:40:07 -0000	1.19
+++ include/asterisk/file.h	15 Jan 2005 05:16:03 -0000
@@ -24,7 +24,7 @@
 #endif
 
 
-//! Convenient for waiting
+/* ! Convenient for waiting */
 #define AST_DIGIT_ANY "0123456789#*"
 
 #define SEEK_FORCECUR	10
@@ -33,7 +33,7 @@
    pointer for use by the stream manager */
 struct ast_filestream;
 
-//! Registers a new file format
+/* ! Registers a new file format */
 /*! Register a new file format capability
  * Adds a format to asterisk's format abilities.  Fill in the fields, and it will work. For examples, look at some of the various format code.
  * returns 0 on success, -1 on failure
@@ -49,7 +49,7 @@
 						void (*close)(struct ast_filestream *),
 						char * (*getcomment)(struct ast_filestream *));
 	
-//! Unregisters a file format
+/* ! Unregisters a file format */
 /*!
  * \param name the name of the format you wish to unregister
  * Unregisters a format based on the name of the format.
@@ -57,7 +57,7 @@
  */
 int ast_format_unregister(const char *name);
 
-//! Streams a file
+/* ! Streams a file */
 /*!
  * \param c channel to stream the file to
  * \param filename the name of the file you wish to stream, minus the extension
@@ -68,7 +68,7 @@
  */
 int ast_streamfile(struct ast_channel *c, const char *filename, const char *preflang);
 
-//! Stops a stream
+/* ! Stops a stream */
 /*!
  * \param c The channel you wish to stop playback on
  * Stop playback of a stream 
@@ -76,7 +76,7 @@
  */
 int ast_stopstream(struct ast_channel *c);
 
-//! Checks for the existence of a given file
+/* ! Checks for the existence of a given file */
 /*!
  * \param filename name of the file you wish to check, minus the extension
  * \param fmt the format you wish to check (the extension)
@@ -86,7 +86,7 @@
  */
 int ast_fileexists(const char *filename, const char *fmt, const char *preflang);
 
-//! Renames a file
+/* ! Renames a file */
 /*! 
  * \param oldname the name of the file you wish to act upon (minus the extension)
  * \param newname the name you wish to rename the file to (minus the extension)
@@ -96,7 +96,7 @@
  */
 int ast_filerename(const char *oldname, const char *newname, const char *fmt);
 
-//! Deletes a file
+/* ! Deletes a file */
 /*! 
  * \param filename name of the file you wish to delete (minus the extension)
  * \param format of the file
@@ -104,7 +104,7 @@
  */
 int ast_filedelete(const char *filename, const char *fmt);
 
-//! Copies a file
+/* ! Copies a file */
 /*!
  * \param oldname name of the file you wish to copy (minus extension)
  * \param newname name you wish the file to be copied to (minus extension)
@@ -113,7 +113,7 @@
  */
 int ast_filecopy(const char *oldname, const char *newname, const char *fmt);
 
-//! Waits for a stream to stop or digit to be pressed
+/* ! Waits for a stream to stop or digit to be pressed */
 /*!
  * \param c channel to waitstram on
  * \param breakon string of DTMF digits to break upon
@@ -123,7 +123,7 @@
  */
 char ast_waitstream(struct ast_channel *c, const char *breakon);
 
-//! Same as waitstream but allows stream to be forwarded or rewound
+/* ! Same as waitstream but allows stream to be forwarded or rewound */
 /*!
  * \param c channel to waitstram on
  * \param breakon string of DTMF digits to break upon
@@ -140,7 +140,7 @@
    1 if monfd is ready for reading */
 char ast_waitstream_full(struct ast_channel *c, const char *breakon, int audiofd, int monfd);
 
-//! Starts reading from a file
+/* ! Starts reading from a file */
 /*!
  * \param filename the name of the file to read from
  * \param type format of file you wish to read from
@@ -156,7 +156,7 @@
  */
 struct ast_filestream *ast_readfile(const char *filename, const char *type, const char *comment, int flags, int check, mode_t mode);
 
-//! Starts writing a file
+/* ! Starts writing a file */
 /*!
  * \param filename the name of the file to write to
  * \param type format of file you wish to write out to
@@ -172,7 +172,7 @@
  */
 struct ast_filestream *ast_writefile(const char *filename, const char *type, const char *comment, int flags, int check, mode_t mode);
 
-//! Writes a frame to a stream
+/* ! Writes a frame to a stream */
 /*! 
  * \param fs filestream to write to
  * \param f frame to write to the filestream
@@ -181,7 +181,7 @@
  */
 int ast_writestream(struct ast_filestream *fs, struct ast_frame *f);
 
-//! Closes a stream
+/* ! Closes a stream */
 /*!
  * \param f filestream to close
  * Close a playback or recording stream
@@ -189,7 +189,7 @@
  */
 int ast_closestream(struct ast_filestream *f);
 
-//! Opens stream for use in seeking, playing
+/* ! Opens stream for use in seeking, playing */
 /*!
  * \param chan channel to work with
  * \param filename to use
@@ -198,7 +198,7 @@
  */
 struct ast_filestream *ast_openstream(struct ast_channel *chan, const char *filename, const char *preflang);
 
-//! Opens stream for use in seeking, playing
+/* ! Opens stream for use in seeking, playing */
 /*!
  * \param chan channel to work with
  * \param filename to use
@@ -207,7 +207,7 @@
  * Returns a ast_filestream pointer if it opens the file, NULL on error
  */
 struct ast_filestream *ast_openstream_full(struct ast_channel *chan, const char *filename, const char *preflang, int asis);
-//! Opens stream for use in seeking, playing
+/* ! Opens stream for use in seeking, playing */
 /*!
  * \param chan channel to work with
  * \param filename to use
@@ -216,7 +216,7 @@
  */
 struct ast_filestream *ast_openvstream(struct ast_channel *chan, const char *filename, const char *preflang);
 
-//! Applys a open stream to a channel.
+/* ! Applys a open stream to a channel. */
 /*!
  * \param chan channel to work
  * \param ast_filestream s to apply
@@ -224,14 +224,14 @@
  */
 int ast_applystream(struct ast_channel *chan, struct ast_filestream *s);
 
-//! play a open stream on a channel.
+/* ! play a open stream on a channel. */
 /*!
  * \param ast_filestream s to play
  * Returns 0 for success, -1 on failure
  */
 int ast_playstream(struct ast_filestream *s);
 
-//! Seeks into stream
+/* ! Seeks into stream */
 /*!
  * \param ast_filestream to perform seek on
  * \param sample_offset numbers of samples to seek
@@ -240,14 +240,14 @@
  */
 int ast_seekstream(struct ast_filestream *fs, long sample_offset, int whence);
 
-//! Trunc stream at current location
+/* ! Trunc stream at current location */
 /*!
  * \param ast_filestream fs 
  * Returns 0 for success, or -1 for error
  */
 int ast_truncstream(struct ast_filestream *fs);
 
-//! Fast forward stream ms
+/* ! Fast forward stream ms */
 /*!
  * \param ast_filestream fs filestream to act on
  * \param ms milliseconds to move
@@ -255,7 +255,7 @@
  */
 int ast_stream_fastforward(struct ast_filestream *fs, long ms);
 
-//! Rewind stream ms
+/* ! Rewind stream ms */
 /*!
  * \param ast_filestream fs filestream to act on
  * \param ms milliseconds to move
@@ -263,7 +263,7 @@
  */
 int ast_stream_rewind(struct ast_filestream *fs, long ms);
 
-//! Fast forward stream ms
+/* ! Fast forward stream ms */
 /*!
  * \param ast_filestream fs filestream to act on
  * \param ms milliseconds to move
@@ -271,7 +271,7 @@
  */
 int ast_stream_fastforward(struct ast_filestream *fs, long ms);
 
-//! Rewind stream ms
+/* ! Rewind stream ms */
 /*!
  * \param ast_filestream fs filestream to act on
  * \param ms milliseconds to move
@@ -279,21 +279,21 @@
  */
 int ast_stream_rewind(struct ast_filestream *fs, long ms);
 
-//! Tell where we are in a stream
+/* ! Tell where we are in a stream */
 /*!
  * \param ast_filestream fs to act on
  * Returns a long as a sample offset into stream
  */
 long ast_tellstream(struct ast_filestream *fs);
 
-//! Read a frame from a filestream
+/* ! Read a frame from a filestream */
 /*!
  * \param ast_filestream fs to act on
  * Returns a frame or NULL if read failed
  */ 
 struct ast_frame *ast_readframe(struct ast_filestream *s);
 
-//! Initialize file stuff
+/* ! Initialize file stuff */
 /*!
  * Initializes all the various file stuff.  Basically just registers the cli stuff
  * Returns 0 all the time
Index: include/asterisk/frame.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/frame.h,v
retrieving revision 1.39
diff -u -r1.39 frame.h
--- include/asterisk/frame.h	9 Jan 2005 10:32:53 -0000	1.39
+++ include/asterisk/frame.h	15 Jan 2005 05:16:03 -0000
@@ -67,7 +67,7 @@
 };
 
 
-//! Data structure associated with a single frame of data
+/* ! Data structure associated with a single frame of data */
 /* A frame of data read used to communicate between 
    between channels and applications */
 struct ast_frame {
@@ -266,7 +266,7 @@
 		u_int8_t data[0];
 };
 
-// Requests a frame to be allocated
+/*  Requests a frame to be allocated */
 /* 
  * \param source 
  * Request a frame be allocated.  source is an optional source of the frame, 
@@ -276,7 +276,7 @@
 struct ast_frame *ast_fralloc(char *source, int len);
 #endif
 
-//! Frees a frame
+/* ! Frees a frame */
 /*! 
  * \param fr Frame to free
  * Free a frame, and the memory it used if applicable
@@ -284,7 +284,7 @@
  */
 void ast_frfree(struct ast_frame *fr);
 
-//! Copies a frame
+/* ! Copies a frame */
 /*! 
  * \param fr frame to act upon
  * Take a frame, and if it's not been malloc'd, make a malloc'd copy
@@ -295,7 +295,7 @@
  */
 struct ast_frame *ast_frisolate(struct ast_frame *fr);
 
-//! Copies a frame
+/* ! Copies a frame */
 /*! 
  * \param fr frame to copy
  * Dupliates a frame -- should only rarely be used, typically frisolate is good enough
@@ -303,12 +303,12 @@
  */
 struct ast_frame *ast_frdup(struct ast_frame *fr);
 
-//! Chains a frame -- unimplemented
+/* ! Chains a frame -- unimplemented */
 #if 0 /* unimplemented */
 void ast_frchain(struct ast_frame_chain *fc);
 #endif
 
-//! Reads a frame from an fd
+/* ! Reads a frame from an fd */
 /*! 
  * \param fd an opened fd to read from
  * Read a frame from a stream or packet fd, as written by fd_write
@@ -316,7 +316,7 @@
  */
 struct ast_frame *ast_fr_fdread(int fd);
 
-//! Writes a frame to an fd
+/* ! Writes a frame to an fd */
 /*! 
  * \param fd Which fd to write to
  * \param frame frame to write to the fd
@@ -325,7 +325,7 @@
  */
 int ast_fr_fdwrite(int fd, struct ast_frame *frame);
 
-//! Sends a hangup to an fd
+/* ! Sends a hangup to an fd */
 /*! 
  * \param fd fd to write to
  * Send a hangup (NULL equivalent) on an fd
@@ -333,14 +333,14 @@
  */
 int ast_fr_fdhangup(int fd);
 
-//! Get the name of a format
+/* ! Get the name of a format */
 /*!
  * \param format id of format
  * \return A static string containing the name of the format or "UNKN" if unknown.
  */
 extern char* ast_getformatname(int format);
 
-//! Get the names of a set of formats
+/* ! Get the names of a set of formats */
 /*!
  * \param buf a buffer for the output string
  * \param n size of buf (bytes)
@@ -358,7 +358,7 @@
  */
 extern int ast_getformatbyname(char *name);
 
-//! Get a name from a format
+/* ! Get a name from a format */
 /*!
  * \param codec codec number (1,2,4,8,16,etc.)
  * Gets a name from a format
@@ -366,7 +366,7 @@
  */
 extern char *ast_codec2str(int codec);
 
-//! Pick the best codec 
+/* ! Pick the best codec  */
 /* Choose the best codec...  Uhhh...   Yah. */
 extern int ast_best_codec(int fmts);
 
Index: include/asterisk/image.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/image.h,v
retrieving revision 1.2
diff -u -r1.2 image.h
--- include/asterisk/image.h	31 Oct 2001 17:05:44 -0000	1.2
+++ include/asterisk/image.h	15 Jan 2005 05:16:03 -0000
@@ -14,7 +14,7 @@
 #ifndef _ASTERISK_IMAGE_H
 #define _ASTERISK_IMAGE_H
 
-//! structure associated with registering an image format
+/* ! structure associated with registering an image format */
 struct ast_imager {
 	/*! Name */
 	char *name;						
@@ -34,7 +34,7 @@
 	struct ast_imager *next;
 };
 
-//! Check for image support on a channel
+/* ! Check for image support on a channel */
 /*! 
  * \param chan channel to check
  * Checks the channel to see if it supports the transmission of images
@@ -42,7 +42,7 @@
  */
 extern int ast_supports_images(struct ast_channel *chan);
 
-//! Sends an image
+/* ! Sends an image */
 /*!
  * \param chan channel to send image on
  * \param filename filename of image to send (minus extension)
@@ -51,7 +51,7 @@
  */
 extern int ast_send_image(struct ast_channel *chan, char *filename);
 
-//! Make an image
+/* ! Make an image */
 /*! 
  * \param filename filename of image to prepare
  * \param preflang preferred language to get the image...?
@@ -61,7 +61,7 @@
  */
 extern struct ast_frame *ast_read_image(char *filename, char *preflang, int format);
 
-//! Register image format
+/* ! Register image format */
 /*! 
  * \param imgdrv Populated ast_imager structure with info to register
  * Registers an image format
@@ -69,7 +69,7 @@
  */
 extern int ast_image_register(struct ast_imager *imgdrv);
 
-//! Unregister an image format
+/* ! Unregister an image format */
 /*!
  * \param imgdrv pointer to the ast_imager structure you wish to unregister
  * Unregisters the image format passed in
@@ -77,7 +77,7 @@
  */
 extern void ast_image_unregister(struct ast_imager *imgdrv);
 
-//! Initialize image stuff
+/* ! Initialize image stuff */
 /*!
  * Initializes all the various image stuff.  Basically just registers the cli stuff
  * Returns 0 all the time
Index: include/asterisk/io.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/io.h,v
retrieving revision 1.5
diff -u -r1.5 io.h
--- include/asterisk/io.h	26 Oct 2003 18:50:49 -0000	1.5
+++ include/asterisk/io.h	15 Jan 2005 05:16:03 -0000
@@ -47,7 +47,7 @@
 
 struct io_context;
 
-//! Creates a context
+/* ! Creates a context */
 /*!
  * Create a context for I/O operations
  * Basically mallocs an IO structure and sets up some default values.
@@ -55,7 +55,7 @@
  */
 extern struct io_context *io_context_create(void);
 
-//! Destroys a context
+/* ! Destroys a context */
 /*
  * \param ioc structure to destroy
  * Destroy a context for I/O operations
@@ -66,7 +66,7 @@
 typedef int (*ast_io_cb)(int *id, int fd, short events, void *cbdata);
 #define AST_IO_CB(a) ((ast_io_cb)(a))
 
-//! Adds an IO context
+/* ! Adds an IO context */
 /*! 
  * \param ioc which context to use
  * \param fd which fd to monitor
@@ -78,7 +78,7 @@
  */
 extern int *ast_io_add(struct io_context *ioc, int fd, ast_io_cb callback, short events, void *data);
 
-//! Changes an IO handler
+/* ! Changes an IO handler */
 /*!
  * \param ioc which context to use
  * \param id
@@ -92,7 +92,7 @@
  */
 extern int *ast_io_change(struct io_context *ioc, int *id, int fd, ast_io_cb callback, short events, void *data);
 
-//! Removes an IO context
+/* ! Removes an IO context */
 /*! 
  * \param ioc which io_context to remove it from
  * \param id which ID to remove
@@ -100,7 +100,7 @@
  */
 extern int ast_io_remove(struct io_context *ioc, int *id);
 
-//! Waits for IO
+/* ! Waits for IO */
 /*!
  * \param ioc which context to act upon
  * \param howlong how many milliseconds to wait
@@ -111,17 +111,17 @@
  */
 extern int ast_io_wait(struct io_context *ioc, int howlong);
 
-//! Dumps the IO array
+/* ! Dumps the IO array */
 /*
  * Debugging: Dump everything in the I/O array
  */
 extern void ast_io_dump(struct io_context *ioc);
 
-//! Set fd into non-echoing mode (if fd is a tty)
+/* ! Set fd into non-echoing mode (if fd is a tty) */
 
 extern int ast_hide_password(int fd);
 
-//! Restores TTY mode
+/* ! Restores TTY mode */
 /*
  * Call with result from previous ast_hide_password
  */
Index: include/asterisk/logger.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/logger.h,v
retrieving revision 1.9
diff -u -r1.9 logger.h
--- include/asterisk/logger.h	12 Feb 2004 22:11:02 -0000	1.9
+++ include/asterisk/logger.h	15 Jan 2005 05:16:04 -0000
@@ -26,7 +26,7 @@
 	a; \
 }
 
-//! Used for sending a log message
+/* ! Used for sending a log message */
 /*!
  * \param level don't need to worry about it
  * \param file ditto
@@ -43,7 +43,7 @@
 extern void ast_queue_log(const char *queuename, const char *callid, const char *agent, const char *event, const char *fmt, ...)
 	__attribute__ ((format (printf, 5, 6)));
 
-//! Send a verbose message (based on verbose level)
+/* ! Send a verbose message (based on verbose level) */
 /*!
  * This works like ast_log, but prints verbose messages to the console depending on verbosity level set.
  * ast_verbose(VERBOSE_PREFIX_3 "Whatever %s is happening\n", "nothing");
Index: include/asterisk/module.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/module.h,v
retrieving revision 1.14
diff -u -r1.14 module.h
--- include/asterisk/module.h	16 Oct 2004 21:14:05 -0000	1.14
+++ include/asterisk/module.h	15 Jan 2005 05:16:04 -0000
@@ -20,7 +20,7 @@
 
 /* Every module must provide these functions */
 
-//! Initialize the module
+/* ! Initialize the module */
 /*!
  * This function is called at module load time.  Put all code in here
  * that needs to set up your module's hardware, software, registrations,
@@ -28,7 +28,7 @@
  */
 int load_module(void);
 
-//! Cleanup all module structures, sockets, etc
+/* ! Cleanup all module structures, sockets, etc */
 /*!
  * This is called at exit.  Any registrations and memory allocations need
  * to be unregistered and free'd here.  Nothing else will do these for you (until exit).
@@ -36,7 +36,7 @@
  */
 int unload_module(void);
 
-//! Provides a usecount
+/* ! Provides a usecount */
 /*!
  * This function will be called by various parts of asterisk.  Basically, all it has
  * to do is to return a usecount when called.  You will need to maintain your usecount
@@ -44,13 +44,13 @@
  */
 int usecount(void);			/*! How many channels provided by this module are in use? */
 
-//! Description
+/* ! Description */
 /*!
  * Returns a short description of your module.
  */
 char *description(void);		/*! Description of this module */
 
-//! Returns the ASTERISK_GPL_KEY
+/* ! Returns the ASTERISK_GPL_KEY */
 /*!
  * This returns the ASTERISK_GPL_KEY, signifiying that you agree to the terms of
  * the GPL stated in the ASTERISK_GPL_KEY.  Your module will not load if it does
@@ -58,7 +58,7 @@
  */
 char *key(void);		/*! Return the below mentioned key, unmodified */
 
-//! Reload stuff
+/* ! Reload stuff */
 /*!
  * This function is where any reload routines take place.  Re-read config files,
  * change signalling, whatever is appropriate on a reload.
@@ -80,7 +80,7 @@
 #define AST_FORCE_FIRM 1
 #define AST_FORCE_HARD 2
 
-//! Loads a module
+/* ! Loads a module */
 /*! 
  * \param resource_name the filename of the module to load
  * This function is ran by the PBX to load the modules.  It performs
@@ -91,7 +91,7 @@
  */
 int ast_load_resource(char *resource_name);
 
-//! Unloads a module
+/* ! Unloads a module */
 /*! 
  * \param resourcename the name of the module to unload
  * \param force the force flag.  Setting this to non-zero will force the module to be unloaded
@@ -101,14 +101,14 @@
  */
 int ast_unload_resource(char *resource_name, int force);
 
-//! Notify when usecount has been changed
+/* ! Notify when usecount has been changed */
 /*!
  * This function goes through and calulates use counts.  It also notifies anybody
  * trying to keep track of them.
  */
 void ast_update_use_count(void);
 
-//! Ask for a list of modules, descriptions, and use counts
+/* ! Ask for a list of modules, descriptions, and use counts */
 /*!
  * \param modentry a callback to an updater function
  * For each of the modules loaded, modentry will be executed with the resource, description,
@@ -116,7 +116,7 @@
  */
 int ast_update_module_list(int (*modentry)(char *module, char *description, int usecnt, char *like), char *like);
 
-//! Ask this procedure to be run with modules have been updated
+/* ! Ask this procedure to be run with modules have been updated */
 /*!
  * \param updater the function to run when modules have been updated
  * This function adds the given function to a linked list of functions to be run
@@ -125,7 +125,7 @@
  */
 int ast_loader_register(int (*updater)(void));
 
-//! No longer run me when modules are updated
+/* ! No longer run me when modules are updated */
 /*!
  * \param updater function to unregister
  * This removes the given function from the updater list.
@@ -133,7 +133,7 @@
  */
 int ast_loader_unregister(int (*updater)(void));
 
-//! Reload all modules
+/* ! Reload all modules */
 /*!
  * This reloads all modules set to load in asterisk.  It does NOT run the unload
  * routine and then loads them again, it runs the given reload routine.
Index: include/asterisk/monitor.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/monitor.h,v
retrieving revision 1.2
diff -u -r1.2 monitor.h
--- include/asterisk/monitor.h	3 Feb 2004 16:57:00 -0000	1.2
+++ include/asterisk/monitor.h	15 Jan 2005 05:16:04 -0000
@@ -7,7 +7,7 @@
 
 struct ast_channel;
 
-//! Responsible for channel monitoring data
+/* ! Responsible for channel monitoring data */
 struct ast_channel_monitor
 {
 	struct ast_filestream *read_stream;
Index: include/asterisk/pbx.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/pbx.h,v
retrieving revision 1.38
diff -u -r1.38 pbx.h
--- include/asterisk/pbx.h	13 Jan 2005 05:14:56 -0000	1.38
+++ include/asterisk/pbx.h	15 Jan 2005 05:16:05 -0000
@@ -23,24 +23,24 @@
 #define AST_PBX_KEEP    0
 #define AST_PBX_REPLACE 1
 
-//! Max length of an application
+/* ! Max length of an application */
 #define AST_MAX_APP	32
 
-//! Special return values from applications to the PBX
+/* ! Special return values from applications to the PBX */
 #define AST_PBX_KEEPALIVE	10		/* Destroy the thread, but don't hang up the channel */
 #define AST_PBX_NO_HANGUP_PEER       11
 
-//! Special Priority for an hint
+/* ! Special Priority for an hint */
 #define PRIORITY_HINT	-1
 
-//! Extension states
-//! No device INUSE or BUSY 
+/* ! Extension states */
+/* ! No device INUSE or BUSY  */
 #define AST_EXTENSION_NOT_INUSE		0
-//! One or more devices INUSE
+/* ! One or more devices INUSE */
 #define AST_EXTENSION_INUSE		1
-//! All devices BUSY
+/* ! All devices BUSY */
 #define AST_EXTENSION_BUSY		2
-//! All devices UNAVAILABLE/UNREGISTERED
+/* ! All devices UNAVAILABLE/UNREGISTERED */
 #define AST_EXTENSION_UNAVAILABLE 	3
 
 struct ast_context;
@@ -53,7 +53,7 @@
 
 typedef int (*ast_devstate_cb_type)(const char *dev, int state, void *data);
 
-//! Data structure associated with an asterisk switch
+/* ! Data structure associated with an asterisk switch */
 struct ast_switch {
 	/*! NULL */
 	struct ast_switch *next;	
@@ -89,7 +89,7 @@
 };
 
 
-//! Register an alternative switch
+/* ! Register an alternative switch */
 /*!
  * \param sw switch to register
  * This function registers a populated ast_switch structure with the
@@ -98,7 +98,7 @@
  */
 extern int ast_register_switch(struct ast_switch *sw);
 
-//! Unregister an alternative switch
+/* ! Unregister an alternative switch */
 /*!
  * \param sw switch to unregister
  * Unregisters a switch from asterisk.
@@ -106,7 +106,7 @@
  */
 extern void ast_unregister_switch(struct ast_switch *sw);
 
-//! Look up an application
+/* ! Look up an application */
 /*!
  * \param app name of the app
  * This function searches for the ast_app structure within
@@ -116,7 +116,7 @@
  */
 extern struct ast_app *pbx_findapp(const char *app);
 
-//! executes an application
+/* ! executes an application */
 /*!
  * \param c channel to execute on
  * \param app which app to execute
@@ -129,7 +129,7 @@
  */
 int pbx_exec(struct ast_channel *c, struct ast_app *app, void *data, int newstack);
 
-//! Register a new context
+/* ! Register a new context */
 /*!
  * \param extcontexts pointer to the ast_context structure pointer
  * \param name name of the new context
@@ -141,14 +141,14 @@
  */
 struct ast_context *ast_context_create(struct ast_context **extcontexts, const char *name, const char *registrar);
 
-//! Merge the temporary contexts into a global contexts list and delete from the global list the ones that are being added
+/* ! Merge the temporary contexts into a global contexts list and delete from the global list the ones that are being added */
 /*!
  * \param extcontexts pointer to the ast_context structure pointer
  * \param registar of the context; if it's set the routine will delete all contexts that belong to that registrar; if NULL only the contexts that are specified in extcontexts
  */
 void ast_merge_contexts_and_delete(struct ast_context **extcontexts, const char *registrar);
 
-//! Destroy a context (matches the specified context (or ANY context if NULL)
+/* ! Destroy a context (matches the specified context (or ANY context if NULL) */
 /*!
  * \param con context to destroy
  * \param registrar who registered it
@@ -158,7 +158,7 @@
  */
 void ast_context_destroy(struct ast_context *con, const char *registrar);
 
-//! Find a context
+/* ! Find a context */
 /*!
  * \param name name of the context to find
  * Will search for the context with the given name.
@@ -166,7 +166,7 @@
  */
 struct ast_context *ast_context_find(const char *name);
 
-//! Create a new thread and start the PBX (or whatever)
+/* ! Create a new thread and start the PBX (or whatever) */
 /*!
  * \param c channel to start the pbx on
  * Starts a pbx thread on a given channel
@@ -174,7 +174,7 @@
  */
 int ast_pbx_start(struct ast_channel *c);
 
-//! Execute the PBX in the current thread
+/* ! Execute the PBX in the current thread */
 /*!
  * \param c channel to run the pbx on
  * This executes the PBX on a given channel.  It allocates a new
@@ -199,7 +199,7 @@
 int ast_add_extension(const char *context, int replace, const char *extension, int priority, const char *label, const char *callerid,
 	const char *application, void *data, void (*datad)(void *), const char *registrar);
 
-//! Add an extension to an extension context, this time with an ast_context *.  CallerID is a pattern to match on callerid, or NULL to not care about callerid
+/* ! Add an extension to an extension context, this time with an ast_context *.  CallerID is a pattern to match on callerid, or NULL to not care about callerid */
 /*! 
  * For details about the arguements, check ast_add_extension()
  */
@@ -208,7 +208,7 @@
 					  const char *application, void *data, void (*datad)(void *),
 					  const char *registrar);
 
-//! Add an application.  The function 'execute' should return non-zero if the line needs to be hung up. 
+/* ! Add an application.  The function 'execute' should return non-zero if the line needs to be hung up.  */
 /*!
   \param app Short name of the application
   \param execute a function callback to execute the application
@@ -225,7 +225,7 @@
 int ast_register_application(const char *app, int (*execute)(struct ast_channel *, void *),
 			     const char *synopsis, const char *description);
 
-//! Remove an application
+/* ! Remove an application */
 /*!
  * \param app name of the application (does not have to be the same string as the one that was registered)
  * This unregisters an application from asterisk's internal registration mechanisms.
@@ -233,7 +233,7 @@
  */
 int ast_unregister_application(const char *app);
 
-//! Uses hint and devicestate callback to get the state of an extension
+/* ! Uses hint and devicestate callback to get the state of an extension */
 /*!
  * \param c this is not important
  * \param context which context to look in
@@ -242,7 +242,7 @@
  */
 int ast_extension_state(struct ast_channel *c, char *context, char *exten);
 
-//! Tells Asterisk the State for Device is changed
+/* ! Tells Asterisk the State for Device is changed */
 /*!
  * \param fmt devicename like a dialstring with format parameters
  * Asterisk polls the new extensionstates and calls the registered
@@ -252,7 +252,7 @@
 int ast_device_state_changed(const char *fmt, ...)
 	__attribute__ ((format (printf, 1, 2)));
 
-//! Registers a state change callback
+/* ! Registers a state change callback */
 /*!
  * \param context which context to look in
  * \param exten which extension to get state
@@ -264,7 +264,7 @@
 int ast_extension_state_add(const char *context, const char *exten, 
 			    ast_state_cb_type callback, void *data);
 
-//! Registers a device state change callback
+/* ! Registers a device state change callback */
 /*!
  * \param data to pass to callback
  * The callback is called if the state for extension is changed
@@ -273,7 +273,7 @@
 int ast_devstate_add(ast_devstate_cb_type callback, void *data);
 void ast_devstate_del(ast_devstate_cb_type callback, void *data);
 
-//! Deletes a registered state change callback by ID
+/* ! Deletes a registered state change callback by ID */
 /*!
  * \param id of the callback to delete
  * Removes the callback from list of callbacks
@@ -281,7 +281,7 @@
  */
 int ast_extension_state_del(int id, ast_state_cb_type callback);
 
-//! If an extension exists, return non-zero
+/* ! If an extension exists, return non-zero */
 /*!
  * \param hint buffer for hint
  * \param maxlen size of hint buffer
@@ -294,8 +294,8 @@
  */
 int ast_get_hint(char *hint, int maxlen, struct ast_channel *c, const char *context, const char *exten);
 
-//! If an extension exists, return non-zero
-// work
+/* ! If an extension exists, return non-zero */
+/*  work */
 /*!
  * \param c this is not important
  * \param context which context to look in
@@ -307,8 +307,8 @@
  */
 int ast_exists_extension(struct ast_channel *c, const char *context, const char *exten, int priority, const char *callerid);
 
-//! If an extension exists, return non-zero
-// work
+/* ! If an extension exists, return non-zero */
+/*  work */
 /*!
  * \param c this is not important
  * \param context which context to look in
@@ -321,7 +321,7 @@
 
 int ast_findlabel_extension2(struct ast_channel *c, struct ast_context *con, const char *exten, const char *label, const char *callerid);
 
-//! Looks for a valid matching extension
+/* ! Looks for a valid matching extension */
 /*!
   \param c not really important
   \param context context to serach within
@@ -334,7 +334,7 @@
 */
 int ast_canmatch_extension(struct ast_channel *c, const char *context, const char *exten, int priority, const char *callerid);
 
-//! Looks to see if adding anything to this extension might match something. (exists ^ canmatch)
+/* ! Looks to see if adding anything to this extension might match something. (exists ^ canmatch) */
 /*!
   \param c not really important
   \param context context to serach within
@@ -348,7 +348,7 @@
 */
 int ast_matchmore_extension(struct ast_channel *c, const char *context, const char *exten, int priority, const char *callerid);
 
-//! Determine if a given extension matches a given pattern (in NXX format)
+/* ! Determine if a given extension matches a given pattern (in NXX format) */
 /*!
  * \param pattern pattern to match
  * \param extension extension to check against the pattern.
@@ -357,7 +357,7 @@
  */
 int ast_extension_match(const char *pattern, const char *extension);
 int ast_extension_close(const char *pattern, const char *data, int needmore);
-//! Launch a new extension (i.e. new stack)
+/* ! Launch a new extension (i.e. new stack) */
 /*!
  * \param c not important
  * \param context which context to generate the extension within
@@ -369,7 +369,7 @@
  */
 int ast_spawn_extension(struct ast_channel *c, const char *context, const char *exten, int priority, const char *callerid);
 
-//! Execute an extension.
+/* ! Execute an extension. */
 /*!
   \param c channel to execute upon
   \param context which context extension is in
@@ -381,7 +381,7 @@
 */
 int ast_exec_extension(struct ast_channel *c, const char *context, const char *exten, int priority, const char *callerid);
 
-//! Add an include
+/* ! Add an include */
 /*!
   \param context context to add include to
   \param include new include to add
@@ -391,7 +391,7 @@
 */
 int ast_context_add_include(const char *context, const char *include, const char *registrar);
 
-//! Add an include
+/* ! Add an include */
 /*!
   \param con context to add the include to
   \param include include to add
@@ -401,25 +401,25 @@
 */
 int ast_context_add_include2(struct ast_context *con, const char *include, const char *registrar);
 
-//! Removes an include
+/* ! Removes an include */
 /*!
  * See add_include
  */
 int ast_context_remove_include(const char *context, const char *include,const  char *registrar);
-//! Removes an include by an ast_context structure
+/* ! Removes an include by an ast_context structure */
 /*!
  * See add_include2
  */
 int ast_context_remove_include2(struct ast_context *con, const char *include, const char *registrar);
 
-//! Verifies includes in an ast_contect structure
+/* ! Verifies includes in an ast_contect structure */
 /*!
  * \param con context in which to verify the includes
  * Returns 0 if no problems found, -1 if there were any missing context
  */
 int ast_context_verify_includes(struct ast_context *con);
 	  
-//! Add a switch
+/* ! Add a switch */
 /*!
  * \param context context to which to add the switch
  * \param sw switch to add
@@ -430,13 +430,13 @@
  * It returns 0 on success, -1 on failure
  */
 int ast_context_add_switch(const char *context, const char *sw, const char *data, int eval, const char *registrar);
-//! Adds a switch (first param is a ast_context)
+/* ! Adds a switch (first param is a ast_context) */
 /*!
  * See ast_context_add_switch()
  */
 int ast_context_add_switch2(struct ast_context *con, const char *sw, const char *data, int eval, const char *registrar);
 
-//! Remove a switch
+/* ! Remove a switch */
 /*!
  * Removes a switch with the given parameters
  * Returns 0 on success, -1 on failure
@@ -444,7 +444,7 @@
 int ast_context_remove_switch(const char *context, const char *sw, const char *data, const char *registrar);
 int ast_context_remove_switch2(struct ast_context *con, const char *sw, const char *data, const char *registrar);
 
-//! Simply remove extension from context
+/* ! Simply remove extension from context */
 /*!
  * \param context context to remove extension from
  * \param extension which extension to remove
@@ -458,7 +458,7 @@
 int ast_context_remove_extension2(struct ast_context *con, const char *extension,
 	int priority, const char *registrar);
 
-//! Add an ignorepat
+/* ! Add an ignorepat */
 /*!
  * \param context which context to add the ignorpattern to
  * \param ignorpat ignorepattern to set up for the extension
@@ -480,7 +480,7 @@
 int ast_context_remove_ignorepat(const char *context, const char *ignorepat, const char *registrar);
 int ast_context_remove_ignorepat2(struct ast_context *con, const char *ignorepat, const char *registrar);
 
-//! Checks to see if a number should be ignored
+/* ! Checks to see if a number should be ignored */
 /*!
  * \param context context to search within
  * \param extension to check whether it should be ignored or not
@@ -490,26 +490,26 @@
 int ast_ignore_pattern(const char *context, const char *pattern);
 
 /* Locking functions for outer modules, especially for completion functions */
-//! Locks the contexts
+/* ! Locks the contexts */
 /*! Locks the context list
  * Returns 0 on success, -1 on error
  */
 int ast_lock_contexts(void);
 
-//! Unlocks contexts
+/* ! Unlocks contexts */
 /*!
  * Returns 0 on success, -1 on failure
  */
 int ast_unlock_contexts(void);
 
-//! Locks a given context
+/* ! Locks a given context */
 /*!
  * \param con context to lock
  * Locks the context.
  * Returns 0 on success, -1 on failure
  */
 int ast_lock_context(struct ast_context *con);
-//! Unlocks the given context
+/* ! Unlocks the given context */
 /*!
  * \param con context to unlock
  * Unlocks the given context
Index: include/asterisk/rtp.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/rtp.h,v
retrieving revision 1.18
diff -u -r1.18 rtp.h
--- include/asterisk/rtp.h	7 Jan 2005 07:11:40 -0000	1.18
+++ include/asterisk/rtp.h	15 Jan 2005 05:16:05 -0000
@@ -82,7 +82,7 @@
 
 int ast_rtp_settos(struct ast_rtp *rtp, int tos);
 
-// Setting RTP payload types from lines in a SDP description:
+/*  Setting RTP payload types from lines in a SDP description: */
 void ast_rtp_pt_clear(struct ast_rtp* rtp);
 /* Set payload types to defaults */
 void ast_rtp_pt_default(struct ast_rtp* rtp);
@@ -90,7 +90,7 @@
 void ast_rtp_set_rtpmap_type(struct ast_rtp* rtp, int pt,
 			 char* mimeType, char* mimeSubtype);
 
-// Mapping between RTP payload format codes and Asterisk codes:
+/*  Mapping between RTP payload format codes and Asterisk codes: */
 struct rtpPayloadType ast_rtp_lookup_pt(struct ast_rtp* rtp, int pt);
 int ast_rtp_lookup_code(struct ast_rtp* rtp, int isAstFormat, int code);
 void ast_rtp_offered_from_local(struct ast_rtp* rtp, int local);
@@ -98,7 +98,7 @@
 void ast_rtp_get_current_formats(struct ast_rtp* rtp,
 			     int* astFormats, int* nonAstFormats);
 
-// Mapping an Asterisk code into a MIME subtype (string):
+/*  Mapping an Asterisk code into a MIME subtype (string): */
 char* ast_rtp_lookup_mime_subtype(int isAstFormat, int code);
 
 void ast_rtp_setnat(struct ast_rtp *rtp, int nat);
Index: include/asterisk/sched.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/sched.h,v
retrieving revision 1.3
diff -u -r1.3 sched.h
--- include/asterisk/sched.h	6 Nov 2001 17:33:30 -0000	1.3
+++ include/asterisk/sched.h	15 Jan 2005 05:16:05 -0000
@@ -18,7 +18,7 @@
 extern "C" {
 #endif
 
-//! Max num of schedule structs
+/* ! Max num of schedule structs */
 /*!
  * The max number of schedule structs to keep around
  * for use.  Undefine to disable schedule structure
@@ -29,14 +29,14 @@
 
 struct sched_context;
 
-//! New schedule context
+/* ! New schedule context */
 /* !
  * Create a scheduling context
  * Returns a malloc'd sched_context structure, NULL on failure
  */
 extern struct sched_context *sched_context_create(void);
 
-//! destroys a schedule context
+/* ! destroys a schedule context */
 /*!
  * \param c Context to free
  * Destroys (free's) the given sched_context structure
@@ -44,7 +44,7 @@
  */
 void sched_context_destroy(struct sched_context *c);
 
-//! callback for a cheops scheduler
+/* ! callback for a cheops scheduler */
 /*! 
  * A cheops scheduler callback takes a pointer with callback data and
  * returns a 0 if it should not be run again, or non-zero if it should be
@@ -53,7 +53,7 @@
 typedef int (*ast_sched_cb)(void *data);
 #define AST_SCHED_CB(a) ((ast_sched_cb)(a))
 
-//!Adds a scheduled event
+/* !Adds a scheduled event */
 /*! 
  * \param con Schduler context to add
  * \param when how many milliseconds to wait for event to occur
@@ -66,7 +66,7 @@
  */
 extern int ast_sched_add(struct sched_context *con, int when, ast_sched_cb callback, void *data);
 
-//! Deletes a scheduled event
+/* ! Deletes a scheduled event */
 /*!
  * \param con scheduling context to delete item from
  * \param id ID of the scheduled item to delete
@@ -76,7 +76,7 @@
  */
 extern int ast_sched_del(struct sched_context *con, int id);
 
-//! Determines number of seconds until the next outstanding event to take place
+/* ! Determines number of seconds until the next outstanding event to take place */
 /*!
  * \param con context to act upon
  * Determine the number of seconds until the next outstanding event
@@ -87,7 +87,7 @@
  */
 extern int ast_sched_wait(struct sched_context *con);
 
-//! Runs the queue
+/* ! Runs the queue */
 /*!
  * \param con Scheduling context to run
  * Run the queue, executing all callbacks which need to be performed
@@ -95,7 +95,7 @@
  */
 extern int ast_sched_runq(struct sched_context *con);
 
-//!Dumps the scheduler contents
+/* !Dumps the scheduler contents */
 /*!
  * \param con Context to dump
  * Debugging: Dump the contents of the scheduler to stderr
Index: include/asterisk/tdd.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/tdd.h,v
retrieving revision 1.1
diff -u -r1.1 tdd.h
--- include/asterisk/tdd.h	10 Nov 2001 20:30:19 -0000	1.1
+++ include/asterisk/tdd.h	15 Jan 2005 05:16:05 -0000
@@ -22,13 +22,13 @@
 struct tdd_state;
 typedef struct tdd_state TDDSTATE;
 
-//! CallerID Initialization
+/* ! CallerID Initialization */
 /*!
  * Initializes the TDD system.  Mostly stuff for inverse FFT
  */
 extern void tdd_init(void);
 
-//! Generates a CallerID FSK stream in ulaw format suitable for transmission.
+/* ! Generates a CallerID FSK stream in ulaw format suitable for transmission. */
 /*!
  * \param buf Buffer to use. This needs to be large enough to accomodate all the generated samples.
  * \param string This is the string to send.
@@ -37,14 +37,14 @@
 */
 extern int tdd_generate(struct tdd_state *tdd, unsigned char *buf, char *string);
 
-//! Create a TDD state machine
+/* ! Create a TDD state machine */
 /*!
  * This function returns a malloc'd instance of the tdd_state data structure.
  * Returns a pointer to a malloc'd tdd_state structure, or NULL on error.
  */
 extern struct tdd_state *tdd_new(void);
 
-//! Read samples into the state machine, and return character (if any).
+/* ! Read samples into the state machine, and return character (if any). */
 /*!
  * \param tdd Which state machine to act upon
  * \param buffer containing your samples
@@ -56,14 +56,14 @@
  */
 extern int tdd_feed(struct tdd_state *tdd, unsigned char *ubuf, int samples);
 
-//! Free a TDD state machine
+/* ! Free a TDD state machine */
 /*!
  * \param tdd This is the tdd_state state machine to free
  * This function frees tdd_state tdd.
  */
 extern void tdd_free(struct tdd_state *tdd);
 
-//! Generate Echo Canceller diable tone (2100HZ)
+/* ! Generate Echo Canceller diable tone (2100HZ) */
 /*!
  * \param outbuf This is the buffer to receive the tone data
  * \param len This is the length (in samples) of the tone data to generate
Index: include/asterisk/translate.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/translate.h,v
retrieving revision 1.5
diff -u -r1.5 translate.h
--- include/asterisk/translate.h	1 Aug 2004 14:19:04 -0000	1.5
+++ include/asterisk/translate.h	15 Jan 2005 05:16:05 -0000
@@ -25,7 +25,7 @@
 /* Declared by individual translators */
 struct ast_translator_pvt;
 
-//! data structure associated with a translator
+/* ! data structure associated with a translator */
 struct ast_translator {
 	/*! Name of translator */
 	char name[80];
@@ -52,7 +52,7 @@
 
 struct ast_trans_pvt;
 
-//! Register a translator
+/* ! Register a translator */
 /*! 
  * \param t populated ast_translator structure
  * This registers a codec translator with asterisk
@@ -60,7 +60,7 @@
  */
 extern int ast_register_translator(struct ast_translator *t);
 
-//! Unregister a translator
+/* ! Unregister a translator */
 /*!
  * \param t translator to unregister
  * Unregisters the given tranlator
@@ -68,7 +68,7 @@
  */
 extern int ast_unregister_translator(struct ast_translator *t);
 
-//! Chooses the best translation path
+/* ! Chooses the best translation path */
 /*! 
  * Given a list of sources, and a designed destination format, which should
    I choose? Returns 0 on success, -1 if no path could be found.  Modifies
@@ -76,7 +76,7 @@
    */
 extern int ast_translator_best_choice(int *dsts, int *srcs);
 
-//!Builds a translator path
+/* !Builds a translator path */
 /*! 
  * \param dest destination format
  * \param source source format
@@ -85,14 +85,14 @@
  * */
 extern struct ast_trans_pvt *ast_translator_build_path(int dest, int source);
 
-//! Frees a translator path
+/* ! Frees a translator path */
 /*!
  * \param tr translator path to get rid of
  * Frees the given translator path structure
  */
 extern void ast_translator_free_path(struct ast_trans_pvt *tr);
 
-//! translates one or more frames
+/* ! translates one or more frames */
 /*! 
  * \param tr translator structure to use for translation
  * \param f frame to translate
Index: include/asterisk/ulaw.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/ulaw.h,v
retrieving revision 1.2
diff -u -r1.2 ulaw.h
--- include/asterisk/ulaw.h	7 Dec 2001 22:57:34 -0000	1.2
+++ include/asterisk/ulaw.h	15 Jan 2005 05:16:05 -0000
@@ -14,18 +14,18 @@
 #ifndef _ASTERISK_ULAW_H
 #define _ASTERISK_ULAW_H
 
-//! Init the ulaw conversion stuff
+/* ! Init the ulaw conversion stuff */
 /*!
  * To init the ulaw to slinear conversion stuff, this needs to be run.
  */
 extern void ast_ulaw_init(void);
 
-//! converts signed linear to mulaw
+/* ! converts signed linear to mulaw */
 /*!
   */
 extern unsigned char __ast_lin2mu[16384];
 
-//! help
+/* ! help */
 extern short __ast_mulaw[256];
 
 #define AST_LIN2MU(a) (__ast_lin2mu[((unsigned short)(a)) >> 2])
Index: include/asterisk/vmodem.h
===================================================================
RCS file: /usr/cvsroot/asterisk/include/asterisk/vmodem.h,v
retrieving revision 1.12
diff -u -r1.12 vmodem.h
--- include/asterisk/vmodem.h	2 Oct 2004 00:58:31 -0000	1.12
+++ include/asterisk/vmodem.h	15 Jan 2005 05:16:05 -0000
@@ -67,7 +67,7 @@
 #define MODEM_MODE_WAIT_RING		1
 #define MODEM_MODE_WAIT_ANSWER		2
 
-//! Private data that needs to be filled by modem driver
+/* ! Private data that needs to be filled by modem driver */
 struct ast_modem_pvt {
 	/*! Raw file descriptor for this device */
 	int fd;							
@@ -142,32 +142,32 @@
 };
 
 
-//! Register a modem driver
+/* ! Register a modem driver */
 /*! Register a driver */
 extern int ast_register_modem_driver(struct ast_modem_driver *mc);
 
-//! Unregisters a modem driver
+/* ! Unregisters a modem driver */
 /*! Unregister a driver */
 extern int ast_unregister_modem_driver(struct ast_modem_driver *mc);
 
-//! Sends command
+/* ! Sends command */
 /*! Send the command cmd (length len, or 0 if pure ascii) on modem */
 extern int ast_modem_send(struct ast_modem_pvt *p, char *cmd, int len);
 
-//! Waits for result
+/* ! Waits for result */
 /*! Wait for result to occur.  Return non-zero if times out or error, last
    response is stored in p->response  */
 extern int ast_modem_expect(struct ast_modem_pvt *p,  char *result, int timeout);
 
-//! Waits for result
+/* ! Waits for result */
 /*! Wait for result to occur.    response is stored in p->response  */
 extern int ast_modem_read_response(struct ast_modem_pvt *p,  int timeout);
 
-//! Used to start up the PBX on a RING
+/* ! Used to start up the PBX on a RING */
 /*! Used by modem drivers to start up the PBX on a RING */
 extern struct ast_channel *ast_modem_new(struct ast_modem_pvt *i, int state);
 
-//! Trim string of trailing stuff
+/* ! Trim string of trailing stuff */
 /*! Trim off trailing mess */
 extern void ast_modem_trim(char *s);
 #endif
